Index: /extensions/stripped/language/nl_NL/theme.lang.php
===================================================================
--- /extensions/stripped/language/nl_NL/theme.lang.php	(revision 31679)
+++ /extensions/stripped/language/nl_NL/theme.lang.php	(revision 31680)
@@ -5,5 +5,5 @@
 $lang['5 albums per row (no album description)'] = '5 albums per rij (geen albumomschrijving)';
 $lang['Activate image preloading'] = 'Activeer foto vooraf laden';
-$lang['Album list layout'] = 'Album lijst opmaak';
+$lang['Album list layout'] = 'Album lijstopmaak';
 $lang['Default tab to be displayed'] = 'Standaard tab weergave';
 $lang['Display frame around albums'] = 'Toon frame om albums';
@@ -11,42 +11,41 @@
 $lang['Display frame around thumbnails'] = 'Toon frame om klikplaatjes';
 $lang['HD picture default display'] = 'HD foto standaard weergave';
-$lang['Image preloading options'] = 'Vooraf foto laden opties';
-$lang['Interface style'] = 'Interface stijl';
-$lang['Last displayed'] = 'Laatst weergegeven';
+$lang['Image preloading options'] = 'Opties vooraf foto laden ';
+$lang['Interface style'] = 'Stijl interface ';
+$lang['Last displayed'] = 'Laatst getoond';
 $lang['Metadata'] = 'Metadata';
-$lang['On picture page, number of next images to preload'] = 'Op de foto pagina, aantal volgende fotos vooraf te laden';
+$lang['On picture page, number of next images to preload'] = 'Op de fotopagina, aantal volgende fotos vooraf laden';
 $lang['Preload images on thumbnails page'] = 'Vooraf laden van foto\'s op klikplaatjes-pagina';
-$lang['Property to display below picture'] = 'Welke eigenschap moet onder de foto weergegeven worden';
+$lang['Property to display below picture'] = 'Eigenschap die onder de foto getoond moet worden';
 $lang['Title'] = 'Titel';
-$lang['Use navigation arrows on picture'] = 'Gebruik navigatie pijlen op de foto';
-$lang['Use navigation arrows outside picture'] = 'Gebruik navigatie pijlen buiten de foto';
-$lang['fit to screen'] = 'Passend op het scherm';
-$lang['full size'] = 'Vollledig scherm';
-$lang['validate'] = 'bevestigen';
+$lang['Use navigation arrows on picture'] = 'Gebruik navigatie-pijlen op de foto';
+$lang['Use navigation arrows outside picture'] = 'Gebruik navigatie-pijlen buiten de foto';
+$lang['fit to screen'] = 'passend op het scherm';
+$lang['full size'] = 'vollledig scherm';
+$lang['validate'] = 'geldig verklaren';
 $lang['Additional bottom margin after resize'] = 'Extra ondermarge na wijzigen van formaat ';
-$lang['Animate menu'] = 'Animatie menu';
-$lang['Animate tabs on picture page'] = 'Animate tabs op afbeeldingen pagina';
+$lang['Animate menu'] = 'Menu Animatie ';
+$lang['Animate tabs on picture page'] = 'Animeer tabs op foto\'s pagina';
 $lang['Force text to lowercase'] = 'Forceer tekst in kleine letters';
 $lang['GMap'] = 'Kaart';
 $lang['Hide menu by default on category page'] = 'Verberg standaard het menu op de categorie pagina';
-$lang['Image autosize options'] = 'Afbeelding automatische grootte-opties';
+$lang['Image autosize options'] = 'Foto automatische grootte-opties';
 $lang['Include title after resize'] = 'Inclusief titel na formaat wijzigen';
 $lang['Information'] = 'Informatie';
 $lang['Interface options'] = 'Interface opties';
-$lang['Minimum image height after resize'] = 'Minimum afbeeldingshoogte na wijzigen van formaat';
-$lang['Picture page options'] = 'Afbeelding pagina opties';
-$lang['Resize image to fit window'] = 'Wijzig formaat afbeelding zodat deze op pagina past ';
-$lang['Show Information tab only to admins'] = 'Toon informatie tab alleen aan admins';
-$lang['Show image title on top of the page (after browse path)'] = 'Toon afbeeldingstitel bovenaan de pagina (na browse pad) ';
-$lang['Show thumbnail caption'] = 'Toon klikplaatje-bijschrift';
-$lang['Show/hide menu'] = 'Toon/verberg menu';
-$lang['stripped Configuration updated'] = 'stripped configuratie bijgewerkt';
+$lang['Minimum image height after resize'] = 'Minimum fotohoogte na wijzigen van formaat';
+$lang['Picture page options'] = 'Opties fotopagina ';
+$lang['Resize image to fit window'] = 'Wijzig formaat foto zodat die op pagina past ';
+$lang['Show Information tab only to admins'] = 'Toon informatie tab alleen aan beheerder';
+$lang['Show image title on top of the page (after browse path)'] = 'Toon fototitel bovenaan de pagina (na browse pad) ';
+$lang['Show thumbnail caption'] = 'Toon bijschrift van klikplaatje';
+$lang['Show/hide menu'] = 'Menu toon/verberg ';
+$lang['stripped Configuration updated'] = 'stripped Configuratie bijgewerkt';
 $lang['Album thumbnail size'] = 'Grootte van het album-klikplaatje';
-$lang['HD Image size'] = 'Grootte van de HD afbeelding';
-$lang['Image size'] = 'Grootte van de afbeelding';
+$lang['HD Image size'] = 'Grootte van de HD foto';
+$lang['Image size'] = 'Grootte van de foto';
 $lang['Thumbnail size'] = 'Grootte van het klikplaatje';
-$lang['Activate HD picture lightbox'] = 'Activeer HD afbeelding lightbox';
+$lang['Activate HD picture lightbox'] = 'Activeer HD foto lightbox';
 $lang['always'] = 'altijd';
-$lang['if HD picture available'] = 'indien een HD afbeelding beschikbaar';
+$lang['if HD picture available'] = 'indien een HD afbeelding beschikbaar is';
 $lang['never'] = 'nooit';
-?>