Index: /extensions/whois_online/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/whois_online/language/nl_NL/plugin.lang.php	(revision 31687)
+++ /extensions/whois_online/language/nl_NL/plugin.lang.php	(revision 31688)
@@ -21,13 +21,13 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang[' - Over the radar limit => No level control'] = '- Buiten de radar limiet => Geen niveau controle';
+$lang[' - Over the radar limit => No level control'] = '- Buiten de radar limiet => Geen niveaucontrole';
 $lang[' => Delete old guests access (over 3 days), and optimize table and index.'] = '=> Verwijder oude gast inlogs (ouder dan 3 dagen), en optimaliseer tabel en index.';
 $lang['(Multiple IP)'] = '(Meervoudige IP)';
 $lang[': provides IP geolocalization on request (link on flag). Useful for unknown countries.'] = ':geeft IP op basis van locatie na verzoek (link via vlag). Nuttig voor onbekende landen.';
 $lang[': provides newcomers\' localization and possibly new country flags, thanks to them.'] = ':geeft nieuwe aanmelders locatie en wellicht nieuwe nationale vlag, dankzij hun.';
-$lang[':geoiptool:title'] = 'Mijn IP adres lookup en geolocatie informatie';
+$lang[':geoiptool:title'] = 'Mijn IP adres lookup en geo-locatie informatie';
 $lang['Add icon to History'] = 'Voeg icon toe aan geschiedenis';
 $lang['Add link to Plugins menu'] = 'Voeg link toe naar Plugins menu';
-$lang['Administrators management:'] = 'Administrators management.';
+$lang['Administrators management:'] = 'Beheerders management:';
 $lang['Altered/created since: %s'] = 'Veranderd/gemaakt sinds: %s';
 $lang['As anybody'] = 'Als iedereen';
@@ -41,15 +41,15 @@
 $lang['Default as anybody'] = 'Standaard als iedereen';
 $lang['Default display'] = 'Standaard scherm';
-$lang['Delete level [10-200] (ratio between obsolete and active)'] = 'Verwijder level [10-200] (verhouding tussen overbodig en actief)';
+$lang['Delete level [10-200] (ratio between obsolete and active)'] = 'Verwijder niveau [10-200] (verhouding tussen overbodig en actief)';
 $lang['Deleted language'] = 'Verwijderde taal';
 $lang['Delete'] = 'Verwijder';
-$lang['Error range: '] = 'Fout marge:';
+$lang['Error range: '] = 'Foutmarge:';
 $lang['Exclude'] = 'Sluit uit';
 $lang['First access'] = 'Eerste toegang';
 $lang['Hidden'] = 'Verborgen';
 $lang['Hits since'] = 'Hits sinds';
-$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 'Afbeelding privacy niveau is hoger dan het gebruikers privacy niveau (een van de twee wijzigen?)';
-$lang['Images (Modify)'] = 'Afbeeldingen (Wijzigen)';
-$lang['Keep data even if plugin is deactivated/uninstall'] = 'Bewaar data ook als de plugin wordt gedeactiveerd/verwijderd';
+$lang['Image privacy level is higher than the user privacy level (Any change of one of them?)'] = 'Foto privacy niveau is hoger dan het gebruikers privacy niveau (één van de twee wijzigen?)';
+$lang['Images (Modify)'] = 'Foto\'s (Wijzigen)';
+$lang['Keep data even if plugin is deactivated/uninstall'] = 'Bewaar data ook als de plugin wordt gede-activeerd/verwijderd';
 $lang['Last 24h accesses'] = 'Toegang laatste 24 uur';
 $lang['Last 24h users:'] = 'Bezoekers laatste 24 uur:';
@@ -58,5 +58,5 @@
 $lang['Level %d'] = 'Niveau %d';
 $lang['Level'] = 'Niveau';
-$lang['Members summary'] = 'Overzocht leden';
+$lang['Members summary'] = 'Overzicht leden';
 $lang['Monitored members'] = 'Gevolgde leden';
 $lang['Monitor'] = 'Volg';
@@ -78,30 +78,30 @@
 $lang['Several IPs'] = 'Meerdere IP\'s';
 $lang['Several days'] = 'Meerdere dagen';
-$lang['Several identified IPs (Only the first one is kept)'] = 'Meerdere geidentificeerde IP\'s (alleen de eerste wordt bewaard)';
-$lang['Some of recently viewed pictures by other users'] = 'Enige recent, door andere gebruikers, bekeken afbeeldingen';
-$lang['Space used: %s'] = 'Gebruijkte ruimte: %s';
-$lang['Unidentifed countries'] = 'Ongeidentificeerd land';
+$lang['Several identified IPs (Only the first one is kept)'] = 'Meerdere geïdentificeerde IP\'s (alleen de eerste wordt bewaard)';
+$lang['Some of recently viewed pictures by other users'] = 'Enige recent, door andere gebruikers, bekeken foto\'s';
+$lang['Space used: %s'] = 'Gebruikte ruimte: %s';
+$lang['Unidentifed countries'] = 'Ongeïdentificeerd land';
 $lang['Unknown country'] = 'Onbekend land';
 $lang[':hostip:title'] = 'Mijn IP adres opzoeken en GeoTargeting gemeenschap Geotarget IP Project - tot welk land en stad IP adressen behoren';
 $lang['Active capture'] = 'Actieve opname';
-$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 'Geavanceerde gebruikers: template variabelen zijn beschikbaar in alle gevallen en kunnen voorkomen in uw extensies';
+$lang['Advanced users: template vars are available in all cases and might be included in your extensions'] = 'Geavanceerde gebruikers: sjabloon-variabelen zijn beschikbaar in alle gevallen en kunnen voorkomen in jouw extensies';
 $lang['Captured guests'] = 'Opgenomen gasten';
-$lang['Whois_review'] = 'Recent door je bekeken';
+$lang['Whois_review'] = 'Recent door jou bekeken';
 $lang['Yesterday hits:'] = 'Hits gisteren:';
-$lang['Your recently viewed pictures'] = 'Je recent bekeken foto\'s';
+$lang['Your recently viewed pictures'] = 'Jouw recent bekeken foto\'s';
 $lang['on pages'] = 'op pagina\'s';
 $lang['on pictures'] = 'op foto\'s';
 $lang['users'] = 'Gebruikers';
 $lang['On pictures'] = 'Op foto\'s';
-$lang['Your `%s` table summary'] = 'Uw `%s` tabel samenvatting';
+$lang['Your `%s` table summary'] = 'Jouw `%s` tabelsamenvatting';
 $lang['Unused allocated space: <strong>%s</strong>'] = 'Ongebruikte toegewezen ruimte: <strong>%s</strong>';
 $lang['Y-m-d H:i'] = 'F dS, Y g:i A';
-$lang['Webmasters management:'] = 'Webmasters beheer:';
-$lang['User follow up error'] = 'Gebruiker fout follow-up';
-$lang['User access details'] = 'Gebruiker toegang details';
+$lang['Webmasters management:'] = 'Beheer Webmasters:';
+$lang['User follow up error'] = 'Gebruikersfout follow-up';
+$lang['User access details'] = 'Gebruikerstoegang details';
 $lang['http:geoiptool'] = 'http://www.geoiptool.com/en/?IP=';
 $lang['Traced sessions: %s'] = 'Gevolgde sessies: %s';
 $lang['Total hits:'] = 'Totaal aantal hits:';
-$lang['Pictures accesses'] = 'Foto\'s opgevraagd';
+$lang['Pictures accesses'] = 'Opgevraagde Foto\'s ';
 $lang['User:'] = 'Gebruiker:';
 $lang['Temporary users (around 72 hours)'] = 'Tijdelijke gebruikers (afgelopen 72 uur)';
@@ -109,12 +109,10 @@
 $lang['http:hostip'] = 'http://www.hostip.info';
 $lang['Only one day accesses'] = 'Slechts één dag toegang';
-$lang['You are Adviser and you are not authorized to change this configuration.'] = 'U bent adviseur en u bent niet gemachtigd om deze configuratie te wijzigen.';
 $lang['Obsolete limit [20-100] (obsolete data count)'] = 'Verouderde limiet [20-100] (verouderde data telling)';
 $lang['Most recent 10 minutes hits:'] = 'Meeste hits laatste 10 minuten:';
 $lang['More than 24h accesses'] = 'Meer dan 24 uur toegang';
-$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 'Verwijder tijdelijke gebruikers (minimale vertraging is 6 minuten). Om permanente gebruikers op te ruimen, verplaats ze naar de juiste lijst boven';
-$lang['Permanence/Durability of user monitoring'] = 'Permanence/Durability van gebruiker monitoring';
-$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 'Radar_limit [10-200] (Gebruikers met image cluetips op radar pagina)';
-$lang['Several days accesses or over midnight'] = 'Meer daagse bezoeken of over meddernacht ';
-$lang['Users with image cluetips ']['10-200'] = 'Gebruikers met mage cluetips [10-200]';
-?>
+$lang['Clear temporary users (minimal delay is 6 minutes). To clean any permanent users, switch them before in the right list above.'] = 'Verwijder tijdelijke gebruikers (minimale vertraging is 6 minuten). Om permanente gebruikers op te ruimen, verplaats je ze naar de juiste lijst boven';
+$lang['Permanence/Durability of user monitoring'] = 'Duurzaamheid/levensduur van gebruiker monitoring';
+$lang['Radar_limit [10-200] (Users with image cluetips on radar page)'] = 'Radar_limit [10-200] (Gebruikers met foto cluetips op radar pagina)';
+$lang['Several days accesses or over midnight'] = 'Meerdaagse bezoeken of na middernacht ';
+$lang['Users with image cluetips ']['10-200'] = 'Gebruikers met foto cluetips [10-200]';