Index: extensions/UserAdvManager/trunk/language/nl_NL/plugin.lang.php
===================================================================
--- extensions/UserAdvManager/trunk/language/nl_NL/plugin.lang.php	(revision 31689)
+++ extensions/UserAdvManager/trunk/language/nl_NL/plugin.lang.php	(revision 31690)
@@ -21,16 +21,18 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['UAM_Default_GhstDemotion_Txt'] = 'Sorry [gebruikersnaam], je account is afgeschaft, omdat je laatste bezoek aan [mygallery] te lang geleden is. We verzoeken je om de onderstaande link te gebruiken om je account te herbevestigen.';
-$lang['UAM_Default_GhstDeletion_Txt'] = 'Sorry [gebruikersnaam], je account is verwijderd omdat je laatste bezoek aan [mygallery] te lang geleden is. We verzoeken je om opnieuw te registreren.';
-$lang['UAM_Default_GTReminder_Subject'] = '[gebruikersnaam] - Het is lang geleden dat je [mygallery] hebt bezocht';
-$lang['UAM_Default_GTAutoMail_Subject'] = '[gebruikersnaam] - Je account is teruggezet naar een lager niveau op [mygallery]';
-$lang['UAM_Default_ConfirmMail_Txt'] = 'Hallo [gebruikersnaam]! Bedankt voor je registratie op [mygallery].
-
-Met een klik op de link in dit bericht rond je je registratie af en kan je door de afbeeldingen bladeren.';
-$lang['UAM_Default_ConfirmMail_Subject'] = '[gebruikersnaam] registratie bevestiging ingeschakeld op [mygallery]';
-$lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Herinnering - [gebruikersnaam]registratie bevestiging ingeschakeld op [mygallery]';
+$lang['UAM_Default_GhstDemotion_Txt'] = 'Sorry [gebruikersnaam], je account is afgekeurd, omdat je laatste bezoek aan [mygallery] te lang geleden is. We verzoeken je om de onderstaande link te gebruiken om je account te herbevestigen.';
+$lang['UAM_Default_GhstDeletion_Txt'] = 'Sorry [gebruikersnaam], je account is verwijderd omdat je laatste bezoek aan [mijn galeriemygalleryegistreren.';
+$lang['UAM_Default_GTReminder_Subject'] = '[gebruikersnaam] - Het is lang geleden dat je [mijn galerie] hebt bezocht';
+$lang['UAM_Default_GTAutoMail_Subject'] = '[gebruikersnaam] - Je account is teruggezet naar een lager niveau op [mijn galerie]';
+$lang['UAM_Default_ConfirmMail_Txt'] = 'Hallo [gebruikersnaam]! Bedankt voor je registratie op [mijn galerie].
+
+Met een klik op de link in dit bericht rond je jouwregistratie af en kun je door de foto\'s bladeren.';
+$lang['UAM_Default_ConfirmMail_Subject'] = '[gebruikersnaam] registratie bevestiging ingeschakeld op [mijn galerie]';
+$lang['UAM_Default_ConfirmMail_Remail_Subject'] = 'Herinnering - [gebruikersnaam]registratie bevestiging ingeschakeld op [mijn galerie]';
 $lang['UAM_Default_CfmMail_Remail_Txt2'] = 'Hallo [gebruikersnaam].
 
-Dit is een bericht ter herinnering: je hebt je geregistreerd op onze galerie [mygallery], maar je hebt je registratie niet bevestigd en je bevestigingssleutel gaat verlopen. Om toegang te hebben tot onze galerie heb je x dagen om je registratie te bevestigen door op de link te klikken in het bericht dat je hebt ontvangen na je registratie.
+Dit is een herinnering: je hebt je geregistreerd op onze galerie [mygallery], maar je hebt je registratie niet bevestigd en je bevestigingssleutel gaat verlopen. Om je toegang te geven tot onze galerie heb je x dagen om je registratie te bevestigen door op de link te klikken in het bericht dat je na je registratie hebt ontvangen.
+
+NB: Na deze periode wordt je account definitief worden verwijderd.';
 
 NB: Na deze periode zal je account blijvend worden verwijderd.';
@@ -38,15 +40,19 @@
 $lang['UAM_Default_CfmMail_Remail_Txt1'] = 'Hallo [gebruikersnaam].
 
+Dit is een herinnering: je hebt je geregistreerd op onze galerie [mijn galerie], maar je hebt je registratie niet bevestigd en je bevestigingssleutel is verlopen. Om je toch toegang te geven tot onze galerie is je bevestigingsperiode opnieuw ingesteld.
+Je hebt opnieuw x dagen om je registratie te bevestigen.
+
+NB: Na deze periode wordt je account definitief worden verwijderd.';
 Dit is een bericht ter herinnering: je hebt je geregistreerd op onze galerie [mygallery], maar je hebt je registratie niet bevestigd en je bevestigingssleutel is verlopen. Om je toch toegang te geven in onze galerie is je bevestigingsperiode opnieuw ingesteld.
 Je hebt opnieuw x dagen om je registratie te bevestigen.
 
 NB: Na deze periode zal je account blijvend worden verwijderd.';
-$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Onjuiste / verlopen activatiesleutel of het account is reeds gevalideerd.';
+$lang['UAM_Default_CfmMail_Custom_Txt2'] = 'Onjuiste / verlopen activatiesleutel of het account is al goed gekeurd.';
 $lang['UAM_Default_CfmMail_Custom_Txt1'] = '[gebruikersnaam] account is succesvol gevalideerd!';
-$lang['UAM_Default_AdminValidation_Txt'] = 'Hallo [gebruikersnaam]! Bedankt voor je registratie en welkom op [mygallery].';
-$lang['UAM_Default_AdminValidationMail_Subject'] = '[gebruikersnaam] - Registratie is gevalideerd in [mygallery]';
+$lang['UAM_Default_AdminValidation_Txt'] = 'Hallo [gebruikersnaam]! Bedankt voor je registratie en welkom op [mijn gallerie].';
+$lang['UAM_Default_AdminValidationMail_Subject'] = '[gebruikersnaam] - Registratie is gekeurd in [mijn galerie]';
 $lang['UAM_Customize_messagesandmails'] = 'Aanpassing van berichten en emails';
 $lang['UAM_CustomPasswRetr'] = 'Aanpassing van de email t.b.v. een verloren gegaan wachtwoord';
-$lang['UAM_Confirm_grpstat_notice'] = 'Let op: Het wordt aangeraden om ofwel de groep ofwel de status bevestiging te gebruiken. Gebruik ze niet gelijktijdig. Het privacy niveau kan in combinatie met een groep of status toewijzing worden gebruikt.';
+$lang['UAM_Confirm_grpstat_notice'] = 'Let op: Het wordt aangeraden om ofwel de groeps- ofwel de status- bevestiging te gebruiken. Gebruik ze niet tegelijk. Het privacy niveau kan worden gebruikt in combinatie met een groep of status toewijzing.';
 $lang['UAM_Confirm_Status'] = 'Status <b style="color: red;">Waarschuwing: Maak geen gebruik van de "Gast" status. Dit is zinloos en wordt in toekomstige versies verwijderd</b><br/>(verlaat ------- om de standaard van Piwigo te behouden)';
 $lang['UAM_Confirm_Mail_true'] = 'Activeer - Bevestiging door de gebruiker';
@@ -54,9 +60,9 @@
 $lang['UAM_Confirm_Group'] = 'Groepen<br/>(verlaat ------- om geen veranderingen in de groep aan te brengen)';
 $lang['UAM_Confirm_Level'] = 'Privacy niveau<br/>(verlaat ------- om Piwigo\'s standaard te behouden)';
-$lang['UAM_Confirm_Mail'] = 'Registratie bevestiging:';
-$lang['UAM_ConfirmMail_TimeOut_true'] = 'Activeer.Het aantal dagen tot vervaldatum: ';
-$lang['UAM_ConfirmMail_Text'] = 'Aanpassing van de bevestigings-email:';
-$lang['UAM_ConfirmMail_Subject'] = 'Aanpassing van de registratie bevestingings-email';
-$lang['UAM_ConfirmMail_Remail'] = 'Herinnering mbt onbevestigde gebruikers';
+$lang['UAM_Confirm_Mail'] = 'Bevestiging registratie:';
+$lang['UAM_ConfirmMail_TimeOut_true'] = 'Activeren.Het aantal dagen tot vervaldatum: ';
+$lang['UAM_ConfirmMail_Text'] = 'Bevestiging aanpassing van de e-mail:';
+$lang['UAM_ConfirmMail_Subject'] = 'Bevestinging aanpassing van de registratie van e-mailonderwerp';
+$lang['UAM_ConfirmMail_Remail'] = 'Herinnering m.b.t. onbevestigde gebruikers';
 $lang['UAM_ConfirmMail_ReMail_Txt2'] = 'Aanpassing van het herinneringsbericht<b><u>zonder</u></b>aanmaken van de bevestigingssleutel';
 $lang['UAM_ConfirmMail_ReMail_Txt1'] = 'Aanpassing van het herinneringsbericht<b><u>zonder</u></b>opnieuw aanmaken van de bevestigingssleutel';
@@ -64,8 +70,8 @@
 $lang['UAM_Change'] = 'Verander het groeps/status/privacy niveau van de bevestigde gebruikers';
 $lang['UAM_Bad_version_backup'] = 'De versie van het backup bestand klopt niet met de versie van de plugin! Er heeft geen herstel plaatsgevonden.';
-$lang['UAM_AdminValidationMail_Text'] = 'Berichtgeving van een handmatige registratie bevestiging';
-$lang['UAM_AdminValidationMail_Subject'] = 'Handmatige aanpassing van de email-validatie';
-$lang['UAM_AdminConfMail'] = 'Registratie bevestiging voor beheerders';
-$lang['UAM_AddURL2Mail'] = 'Voeg de URL van de galerie toe aan het einde van de emails (als handtekening)';
+$lang['UAM_AdminValidationMail_Text'] = 'Berichtgeving van een handmatige bevestiging van de registratie ';
+$lang['UAM_AdminValidationMail_Subject'] = 'Handmatige aanpassing van de keuring van e-mailonderwerp';
+$lang['UAM_AdminConfMail'] = 'Registratie-bevestiging voor beheerders';
+$lang['UAM_AddURL2Mail'] = 'Voeg de URL van de galerie toe aan het einde van de e-mails (als handtekening)';
 $lang['UAM_%d_Validated_Users'] = '%d Gebruikers zijn handmatig bevestigd';
 $lang['UAM_%d_Validated_User'] = '%d Gebruiker is handmatig bevestigd';
@@ -76,5 +82,5 @@
 $lang['UAM_Tips1_txt'] = '<ul>
             <li>
-            Doelen: Laat de bezoeker weten dat zijn registratie wacht op toestemming door middel van een persoonlijk blokje op de thuispagina van de galerie. En dit, wanneer de registratie niet is goed gekeurd.
+            Doelen: Laat de bezoeker weten dat zijn registratie wacht op toestemming door middel van een persoonlijk blokje op de startpagina van de galerie. En dit, wanneer de registratie niet is goed gekeurd.
             <br/><br/>
             <b>Herinnering: In de standaard uitvoering ziet de "Gast" alleen de openbare albums zonder een bericht.</b>
@@ -85,5 +91,5 @@
 <li style="list-style-type: none;"></li>
 <li style="list-style-type: none;">- Een galerie met alle of enkele privé albums, alleen zichtbaar voor geregistreerde gebruikers</li>
-<li style="list-style-type: none;">- Bij minstens 2 Piwigo gebruikersgroepen: "In de Wacht," zonder toestemming voor privé albums, and "Bevestigd" met complete toestemming voor de privé albums</li>
+<li style="list-style-type: none;">- Bij minstens 2 Piwigo gebruikersgroepen: "In de Wacht," zonder toestemming voor privé albums, en "Bevestigd" met complete toestemming voor de privé albums</li>
 <li style="list-style-type: none;">- UAM plugin</li>
 <li style="list-style-type: none;">- PWG Stuffs plugin, voor de toevoeging van een speciale UAM module</li>
@@ -96,7 +102,7 @@
 A. In de plugin UAM:
               <ol>
-                <li>Activeer registratie bevestiging</li>
+                <li>Activeer registratie-bevestiging</li>
                 <li>Activeer de optie PWG Stuffs module </li>
-                <li>Voer tekst in voor extra uitleg als bijlage bij de email registratie bevestiging. Als de plugin Extended Description is geactiveerd, kunnen de taal labels worden gebruikt</li>
+                <li>Voer tekst in voor extra uitleg als bijlage bij de e-mail registratie bevestiging. Als de plugin Extended Description is geactiveerd, kunnen de taal-labels worden gebruikt</li>
                 <li>Plaats de groep "In de Wacht" onder "Voor gebruikers die hun registratie niet hebben bevestigd"</li>
                 <li>Plaats de groep "Bevestigd" onder "Voor gebruikers die hun registratie hebben bevestigd"</li>
@@ -111,14 +117,16 @@
                 <li>Voltooi de inhoud van de module met een zichtbaar bericht voor onbevestigde gebruikers. Net als bij UAM, kan de taal-opmaak gebruikt worden als de plugin Extended Description is geactiveerd</li>
                 <li>Controleer "Toon de module op de thuispagina van de site"</li>
-                <li>Valideer de configuratie van de module </li>
+                <li>Keur de configuratie van de module </li>
               </ol>
             </li>
           </ul>';
 $lang['UAM_Tips1'] = 'Informatie over onbevestigde registratie met UAM en PWG_Stuffs';
-$lang['UAM_Tab_GhostTracker'] = 'Ghost Tracker (Spook Zoeker)';
-$lang['UAM_Support_txt'] = 'De officiële ondersteuning van deze plugin kan je alleen op dit Piwigo forum-onderwerp vinden:<br/>
+$lang['UAM_Tab_GhostTracker'] = 'Ghost Tracker (Spook-Zoeker)';
+$lang['UAM_Support_txt'] = 'De officiële ondersteuning van deze plugin kun je alleen op dit Piwigo forum-onderwerp vinden:<br/>
 <a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Engels forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br/><br/>
 Ook is hier de foutzoeker (bugtracker) beschikbaar: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
-$lang['UAM_Subject admin validation for %s'] = 'De registratie van %s wacht op validatie';
+<a href="http://piwigo.org/forum/viewtopic.php?id=15015" onclick="window.open(this.href);return false;">Engels forum - http://piwigo.org/forum/viewtopic.php?id=15015</a><br/><br/>
+Ook is hier de foutzoeker (bugtracker) beschikbaar: <a href="http://piwigo.org/bugs/" onclick="window.open(this.href);return false;">http://piwigo.org/bugs/</a>';
+$lang['UAM_Subject admin validation for %s'] = 'De registratie van %s wacht op goedkeuring';
 $lang['UAM_SubTitle4'] = 'Ghost Tracker';
 $lang['UAM_SubTitle1'] = 'Plugin instelling';
@@ -131,9 +139,9 @@
 <br/><br/>
 <b style="color: red;">Let op de versie van de backup!<br/>Een backup van een pluginversie kan alleen hersteld worden met de zelfde versie.</b>';
-$lang['UAM_Restoration_OK'] = 'Je instelling is succesvol hersteld! Laadt UAM\'s beheerpagina opnieuw om de herstelde instellingen te bekijken.';
+$lang['UAM_Restoration_OK'] = 'Je instelling is succesvol hersteld! Laad UAM\'s beheerpagina opnieuw om de herstelde instellingen te bekijken.';
 $lang['UAM_Restoration_NOK'] = 'Er is een fout opgetreden in het herstellen van de instelling. Controleer de geldigheid van je backup-bestand.';
 $lang['UAM_Reminder_Sent_OK'] = 'JA';
-$lang['UAM_Reminder_Sent_NOK'] = 'NEEN';
-$lang['UAM_Reminder'] = 'Emailherinnering';
+$lang['UAM_Reminder_Sent_NOK'] = 'NEE';
+$lang['UAM_Reminder'] = 'E-mailherinnering';
 $lang['UAM_RejectConnexion_Custom_Txt'] = 'Aanpassen van de afwijzingstekst';
 $lang['UAM_RejectConnexion'] = 'Verbinding afwijzen van een gebruiker totdat de registratie is bevestigd';
@@ -150,21 +158,26 @@
 $lang['UAM_No_Usermanager'] = 'Er zijn op dit moment geen onbevestigde geregistreerden om vast te leggen';
 $lang['UAM_No_Userlist'] = 'Er zijn op dit moment geen bezoekers om vast te leggen';
-$lang['UAM_No_Ghosts'] = 'Op dit moment geen spook bezoekers';
+$lang['UAM_No_Ghosts'] = 'Op dit moment geen-spook bezoekers';
 $lang['UAM_No_Confirm_Status'] = 'Status van gebruikers die hun registratie niet hebben bevestigd<br/>';
 $lang['UAM_No_Confirm_Group'] = 'Groep van gebruikers die hun registratie niet hebben bevestigd<br/>';
 $lang['UAM_No_Backup_File'] = 'Er is geen backup-bestand beschikbaar!';
 $lang['UAM_Nb_Days'] = 'Verschil in dagen';
-$lang['UAM_Manual_validation_needed_for %s'] = 'Gebruiker %s heeft zich geregistreerd en wacht op handmatige validatie door een beheerder.';
+$lang['UAM_Manual_validation_needed_for %s'] = 'Gebruiker %s heeft zich geregistreerd en wacht op handmatige goedkeuring door een beheerder.';
 $lang['UAM_Manual_Validation'] = 'Handmatige bevestiging';
 $lang['UAM_Mail_without_key'] = 'Herinnering zonder sleutel';
 $lang['UAM_Mail_with_key'] = 'Herinnering met sleutel';
-$lang['UAM_Mail_Info'] = 'Informatie-email naar de gebruiker:';
+$lang['UAM_Mail_Info'] = 'Informatie e-mail naar de gebruiker:';
 $lang['UAM_MailInfo_Text'] = 'Aanpassen van de informatie-email:';
-$lang['UAM_MailInfo_Subject'] = 'Aanpassen van informatie-email m.b.t. onderwerp';
+$lang['UAM_MailInfo_Subject'] = 'Aanpassen van informatie e-mail m.b.t. onderwerp';
 $lang['UAM_MailExclusion_true'] = 'Sluit de volgende domeinen uit: </br>(Gebruik een komma om meerdere domeinen van elkaar te scheiden)';
-$lang['UAM_GTReminder_Subject'] = 'Aanpassen van handmatige emailherinnering mbt Ghost Tracker';
-$lang['UAM_GTAutomail_Text'] = 'Aanpassen van email tekst m.b.t. degradatie';
-$lang['UAM_GTAutomail_Subject'] = 'Aanpassen van automatisch email onderwerp mbt Ghost Tracker degradatie';
+$lang['UAM_GTReminder_Subject'] = 'Aanpassen van handmatige e-mailherinnering mbt Ghost Tracker';
+$lang['UAM_GTAutomail_Text'] = 'Aanpassen van e-mail tekst m.b.t. terugzetting';
+$lang['UAM_GTAutomail_Subject'] = 'Aanpassen van automatisch e-mail onderwerp mbt Ghost Tracker terugzetting';
 $lang['UAM_Error_GTAutoMail_cannot_be_set_without_ConfirmMail'] = 'Fout in de samenhang binnen de gekozen configuratie:
+<br/><br/>
+Instelling m.b.t. "het volgen van geregistreerde gebruikers en andere opties > Spook-bezoekers-beheer (Ghost Tracker) > Automatisch beheer van spook-bezoekers > Automatische e-mailverzending bij wijziging van groep/status" kan niet worden geactiveerd als de instelling "Bevestiging van registratie > registratie bevestiging - bevestiging door gebruiker"> niet eerst is geactiveerd.
+<br/><br/>
+Om de samenhang zeker te stellen was de optie "Automatische e-mailverzending bij wijziging van groep/status op "non actief" gezet.
+<br/><br/>';
 <br/><br/>
 Instelling m.b.t. "het volgen van geregistreerde gebruikers en andere opties > Spook bezoekers beheer (Ghost Tracker) > Automatisch beheer van spook bezoekers > Automatische emailverzending bij wijziging van groep/status" kan niet worden geactiveerd als de instelling "Bevestiging van registratie > registratie bevestiging - bevestiging door gebruiker"> niet eerst is geactiveerd.
@@ -172,30 +185,30 @@
 Om de samenhang zeker te stellen was de optie "Automatische emailverzending bij wijziging van groep/status op "non actief" gezet.
 <br/><br/>';
-$lang['UAM_Err_audit_advise'] = '<b>je moet correcties aanbrengen om in overeenstemming te zijn met de nieuwe regels die je hebt geactiveerd.</br>Maak gebruik van een database beheervoorziening om gebruikers accounts rechtstreeks in de tabel ###_USERS te corrigeren';
+$lang['UAM_Err_audit_advise'] = '<b>je moet correcties aanbrengen om in overeenstemming te zijn met de nieuwe regels die je hebt geactiveerd.</br>Maak gebruik van een database beheervoorziening om gebruikers-accounts rechtstreeks in de tabel ###_USERS te corrigeren';
 $lang['UAM_Err_Userlist_Settings'] = 'Deze pagina is alleen beschikbaar als "Toezicht op geregistreerde gebruikers" is geactiveerd in "Instellingen voor Registratie en andere opties".';
 $lang['UAM_Err_UserManager_Settings'] = 'Deze pagina is alleen beschikbaar als "Bevestiging van Registratie" is geactiveerd en als een onbevestigde bezoekersgroep is ingesteld in "Registratie instellingen en andere opties".';
 $lang['UAM_Err_GhostTracker_Settings'] = 'Deze pagina is alleen beschikbaar als "Ghost Tracker" geactiveerd is in "Registratie instellingen en andere opties".';
-$lang['UAM_MailExclusion_No'] = 'Uitsluiting van email domeinen - Niet beschikbaar omdat emails niet verplicht zijn voor registratie!';
-$lang['UAM_MailExclusion'] = 'Uitsluiting van email domeinen';
-$lang['UAM_HidePassw'] = 'Het wachtwoord in normale tekst in de informatie email';
+$lang['UAM_MailExclusion_No'] = 'Uitsluiting van e-mail domeinen - Niet beschikbaar omdat e-mails niet verplicht zijn voor registratie!';
+$lang['UAM_MailExclusion'] = 'Uitsluiting van e-mail domeinen';
+$lang['UAM_HidePassw'] = 'Het wachtwoord in normale tekst in de informatie e-mail';
 $lang['UAM_GhostTracker_true'] = 'Activeer. De maximum periode in dagen tussen twee bezoeken:';
-$lang['UAM_GhostTracker_Title'] = 'Beheer voor spook bezoekers ';
+$lang['UAM_GhostTracker_Title'] = 'Beheer voor spook-bezoekers ';
 $lang['UAM_GhostTracker_ReminderText'] = 'Aanpassen van Ghost Tracker\'s herinneringsbericht';
 $lang['UAM_GhostTracker_Init_OK'] = 'Ghost Tracker is opnieuw ingesteld!';
-$lang['UAM_GhostTracker_Init'] = 'Als je deze optie voor het eerst activeert of je activeert hem opnieuw na er lang geen gebruik van te hebben gemaakt, moet je Ghost Tracker initialiseren of opnieuw instellen. Deze actie is alleen nodig na activatie of re-activatie van deze optie. Klik<u>eenmaal</u>op de reset knop hieronder.';
-$lang['UAM_GhostTracker'] = 'Beheer van spook bezoekers (Ghost Tracker)';
+$lang['UAM_GhostTracker_Init'] = 'Als je deze optie voor het eerst activeert of je activeert hem opnieuw na er lang geen gebruik van te hebben gemaakt, moet je Ghost Tracker initialiseren of opnieuw instellen. Deze actie is alleen nodig na activatie of re-activatie van deze optie. Klik<u>eenmaal</u>op de reset-knop hieronder.';
+$lang['UAM_GhostTracker'] = 'Beheer van spook-bezoekers (Ghost Tracker)';
 $lang['UAM_GT_Reset'] = 'Ghost Tracker opnieuw instellen';
 $lang['UAM_GT_Init'] = 'Ghost Tracker initialiseren';
-$lang['UAM_GTAutoMail'] = 'Automatische emailverzending bij het wijzigen van groep / status / privacy niveau';
+$lang['UAM_GTAutoMail'] = 'Automatische e-mailverzending bij het wijzigen van groep / status / privacy niveau';
 $lang['UAM_GTAutoGp'] = 'Automatische wijziging van groep / status / privacy niveau';
 $lang['UAM_GTAutoDel'] = 'Automatische verwijdering van accounts';
-$lang['UAM_GTAuto'] = 'Automatisch beheer van spook gebruikers';
+$lang['UAM_GTAuto'] = 'Automatisch beheer van spook-gebruikers';
 $lang['UAM_Follow this link to access the gallery'] = 'Volg deze link om in de galerie te komen';
-$lang['UAM_Expired_Status'] = '<b>Status</b> voor de gebruikers registratie is verlopen<br/><b style="color: red;">Waarschuwing: Maak geen gebruik van de "Gast" status. Dit is zinloos, deze optie zal worden verwijderd in toekomstige versies</b><br/>';
-$lang['UAM_Expired_Level'] = '<b>Privacy niveau</b> voor de gebruikers registratie is verlopen<br/>';
-$lang['UAM_Expired_Group'] = '<b>Groep</b> voor de gebruikers registratie is verlopen<br/>';
-$lang['UAM_Error_Using_illegal_Kdays'] = 'Het gebruik van de [Kdays]tag is alleen toegestaan binnen de beperkte toegestane tijd voor registratie bevestiging. Raadpleeg het tekstveld, wat in het rood staat, om het probleem te corrigeren.';
-$lang['UAM_Err_audit_username_char'] = '<b>Dit account gebruikt een of meerdere niet toegestane lettertekens:</b>';
-$lang['UAM_Err_audit_email_forbidden'] = '<b>Dit account maakt gebruik van een verboden email provider:</b>';
+$lang['UAM_Expired_Status'] = '<b>Status</b> voor de gebruikers-registratie is verlopen<br/><b style="color: red;">Waarschuwing: Maak geen gebruik van de "Gast" status. Dit is zinloos, deze optie wordt verwijderd in toekomstige versies</b><br/>';
+$lang['UAM_Expired_Level'] = '<b>Privacy niveau</b> voor de gebruikers-registratie is verlopen<br/>';
+$lang['UAM_Expired_Group'] = '<b>Groep</b> voor de gebruikers-registratie is verlopen<br/>';
+$lang['UAM_Error_Using_illegal_Kdays'] = 'Het gebruik van de [Kdays]tag is alleen toegestaan binnen de beperkte toegestane tijd voor registratie-bevestiging. Raadpleeg het tekstveld, dat in het rood staat, om het probleem te corrigeren.';
+$lang['UAM_Err_audit_username_char'] = '<b>Dit account gebruikt één of meerdere niet toegestane lettertekens:</b>';
+$lang['UAM_Err_audit_email_forbidden'] = '<b>Dit account maakt gebruik van een verboden e-mail provider:</b>';
 $lang['personal_content'] = 'Inhoud';
 $lang['UAM_User: %s'] = 'Gebruiker: %s';
@@ -203,7 +216,7 @@
 $lang['UAM_Select page number'] = 'Selecteer een paginanummer';
 $lang['UAM_Select page size'] = 'Selecteer de paginagrootte';
-$lang['UAM_Registration_Date'] = 'Registratie datum';
+$lang['UAM_Registration_Date'] = 'Registratiedatum';
 $lang['UAM_Password: %s'] = 'Wachtwoord: %s';
-$lang['UAM_Link: %s'] = 'Gelieve op deze link te klikken om uw registratie te bevestigen: %s';
+$lang['UAM_Link: %s'] = 'Klik a.u.b. op deze link om je registratie te bevestigen: %s';
 $lang['UAM_LastVisit_Date'] = 'Laatste bezoek';
 $lang['UAM_Enable'] = 'Inschakelen';
@@ -214,6 +227,12 @@
 $lang['UAM_Delete_selected'] = 'Verwijderen';
 $lang['UAM_Disable'] = 'Uitschakelen (standaard)';
-$lang['UAM_Default_ValidationTimeout_Txt'] = 'Sorry, maar je account is verwijderd, omdat je niet binnen de gevraagde periode je registratie hebt bevestigd ([Kdays] dagen). Je kunt je opnieuw registreren met een geldig en niet geblokkeerd email account.';
-$lang['UAM_Default_GhstReminder_Txt'] = 'Hallo [gebruikersnaam], je laatste bezoek aan onze galerie [mygallery] dateert van heel erg lang geleden. Als je je toegangsaccount niet meer wilt gebruiken, laat dit ons dan weten via beantwoording van deze email. Je account zal dan worden verwijderd.
+$lang['UAM_Default_ValidationTimeout_Txt'] = 'Sorry, maar je account is verwijderd, omdat je niet binnen de gevraagde periode je registratie hebt bevestigd ([Kdays] dagen). Je kunt je opnieuw registreren met een geldig en niet geblokkeerd e-mail account.';
+$lang['UAM_Default_GhstReminder_Txt'] = 'Hallo [gebruikersnaam], je laatste bezoek aan onze galerie [mygallery] dateert van heel erg lang geleden. Als je je toegangsaccount niet meer wilt gebruiken, laat dit ons dan weten via beantwoording van deze e-mail. Je account zal dan worden verwijderd.
+
+We zijn genoodzaakt je account automatisch te verwijderen als je na ontvangst van dit bericht ons niet meer bezoekt binnen [days] dagen.
+
+Met vriendelijke groet,
+
+Beheerder van de galerie [mygallery] - [myurl]';
 
 We zullen zijn genoodzaakt je account automatisch te verwijderen wanneer je na ontvangst van dit bericht ons niet meer bezoekt binnen [days] dagen.
@@ -223,12 +242,12 @@
 Beheerder van de galerie [mygallery] - [myurl]';
 $lang['UAM_Default_RejectConnexion_Txt'] = 'Sorry, maar je registratie is nog niet gevalideerd. Je kunt dus nog geen verbinding met de galerie maken.';
-$lang['UAM_Default_PwdRequest_Txt'] = 'Je hebt een opnieuw instellen van je wachtwoord op onze galerie aangevraagd. Hieronder vind je je nieuwe verbindings-instellingen.';
+$lang['UAM_Default_PwdRequest_Txt'] = 'Je hebt het opnieuw instellen van je wachtwoord op onze galerie aangevraagd. Hieronder vind je je nieuwe verbindings-instellingen.';
 $lang['UAM_Default_InfoMail_Txt'] = 'Hallo [gebruikersnaam]!
 
 Je hebt belangrijke veranderingen aangebracht in je profiel op de galerie [mygallery]. Hieronder vind je je nieuwe instellingen.';
-$lang['UAM_Default_InfoMail_Subject'] = '[gebruikersnaam] - Je registratie informatie op [mygallery]';
+$lang['UAM_Default_InfoMail_Subject'] = '[gebruikersnaam] - Je registratie-informatie op [mygallery]';
 $lang['UAM_Tips2_txt'] = ' <ul>
   <li>
-Doelen: Bericht de bezoeker dat de registratie wacht op bevestiging door een extra pagina te plaatsen die de standaard homepagina van de galerie vervangt bij iedere verbinding, en deze, als de registratie niet is goedgekeurd.
+Doelen: Bericht de bezoeker dat de registratie wacht op bevestiging door een extra pagina te plaatsen die de standaard startpagina van de galerie vervangt bij iedere verbinding, en deze, als de registratie niet is goedgekeurd.
   <li style="list-style-type: none;"></li>
 Voordelen t.o.v. de methode met PWG_Stuffs: Staat het formatteren van informatie toe en toont de informatie direct bij registratie van bezoekers.
@@ -251,5 +270,5 @@
    <ol>
     <li>Activeer registratie bevestiging</li>
-    <li>Geef tekst op voor extra uitleg voor de bijlage in de email registratie bevestiging. Als de plugin Extended Description is geactiveerd, kunnen de taal tags worden gebruikt.</li>
+    <li>Geef tekst op voor extra uitleg voor de bijlage in de e-mail registratie bevestiging. Als de plugin Extended Description is geactiveerd, kunnen de taal-tags worden gebruikt.</li>
     <li>Zet de groep "In de Wacht" onder "Voor gebruikers die hun registratie niet hebben bevestigd"</li>
     <li>Zet de groep "Bevestigd" onder "Voor gebruikers die hun registratie hebben bevestigd"</li>
@@ -258,12 +277,12 @@
 <li style="list-style-type: none;"><br/></li>   
           ';
-$lang['UAM_mail_exclusion_error'] = 'Piwigo\'s optie "Het email-adres is verplicht voor alle gebruikers" is uitgeschakeld, terwijl de plugin optie van UserAdvancedManager (UAM) "Uitsluiting van email-domeinen" ingeschakeld staat. Deze combinatie is niet logisch en ook niet compatibel!
-<br/><br/>
-Activeer Piwigo\'s optie "Het email-adres is verplicht voor alle gebruikers" opnieuw en schakel vervolgens UAM\'s optie "Uitsluiting van email-domeinen" uit. Als je dit tenminste wilt.<br/><br/>
-NB: Dit bericht zal verdwijnen nadat je de noodzakelijke correcties hebt aangebracht en de beheerderspagina opnieuw geladen hebt.<br/><br/>';
-$lang['UAM_mail_exclusionlist_error'] = 'Waarschuwing! Je hebt een nieuwe regel (CR-LF)ingevoerd aan het begin van de email uitsluitingslijst (zie hieronder in het rood). Deze regel is weliswaar niet zichtbaar, maar hij is wel aanwezig en kan het functioneren van de plugin ontregelen. Typ opnieuw in je uitsluitingslijst zonder een nieuwe regel aan het begin.';
+$lang['UAM_mail_exclusion_error'] = 'Piwigo\'s optie "Het e-mailadres is verplicht voor alle gebruikers" is uitgeschakeld, terwijl de plugin optie van UserAdvancedManager (UAM) "Uitsluiting van email-domeinen" ingeschakeld staat. Deze combinatie is niet logisch en ook niet compatibel!
+<br/><br/>
+Activeer Piwigo\'s optie "Het email-adres is verplicht voor alle gebruikers" opnieuw en schakel vervolgens UAM\'s optie "Uitsluiting van e-maildomeinen" uit. Als je dit tenminste wilt.<br/><br/>
+NB: Dit bericht verdwijnt nadat je de noodzakelijke correcties hebt aangebracht en de beheerderspagina opnieuw geladen hebt.<br/><br/>';
+$lang['UAM_mail_exclusionlist_error'] = 'Waarschuwing! Je hebt een nieuwe regel (CR-LF)ingevoerd aan het begin van de e-mail uitsluitingslijst (zie hieronder in het rood). Deze regel is weliswaar niet zichtbaar, maar hij is wel aanwezig en kan het functioneren van de plugin ontregelen. Type opnieuw in je uitsluitingslijst zonder een nieuwe regel aan het begin.';
 $lang['UAM_submit'] = 'Geef de instellingen op';
 $lang['UAM_save_config'] = 'De instelling is opgeslagen';
-$lang['UAM_reg_err_login5'] = 'Je email provider is verboden voor registratie. Verboden email providers zijn:';
+$lang['UAM_reg_err_login5'] = 'Je e-mailprovider is verboden voor registratie. Verboden e-mailproviders zijn:';
 $lang['UAM_reg_err_login2'] = 'De gebruikersnaam hoeft niet overeen te komen met de volgende lettertekens:';
 $lang['UAM_no_update_pwd'] = '[profiel is geactualiseerd zonder wijziging van het wachtwoord]';
@@ -282,22 +301,22 @@
 $lang['UAM_Username_Char_false'] = 'Laat iedereen toe (standaard)';
 $lang['UAM_Username_Char'] = 'Gebruikersnamen: Uitsluiting van lettertekens';
-$lang['UAM_USRAutoMail'] = 'Automatische email herinnering';
+$lang['UAM_USRAutoMail'] = 'Automatische e-mail herinnering';
 $lang['UAM_USRAutoDel'] = 'Aangepast bericht bij verwijderd account';
 $lang['UAM_USRAuto'] = 'Automatisch beheer van onbevestigde gebruikers';
 $lang['UAM_Tracking registered users'] = 'Volgen van geregistreerde gebruikers';
 $lang['UAM_Tracking confirmations'] = 'Volgen van bevestigingen';
-$lang['UAM_Title_Tab'] = 'UserAdvManager - Versie : ';
+$lang['UAM_Title_Tab'] = 'UserAdvManager - Versie: ';
 $lang['UAM_Title5'] = 'Overige opties';
 $lang['UAM_Title4'] = 'Tips en voorbeelden in het gebruik';
-$lang['UAM_Title3'] = 'Beheer van spook bezoekers';
+$lang['UAM_Title3'] = 'Beheer van spook-bezoekers';
 $lang['UAM_Title2'] = 'Registratie bevestigingen';
 $lang['UAM_Title1'] = 'Registratie beperkingen';
 $lang['UAM_Error_Using_illegal_flag'] = 'Syntax fout! De [Kdays] Auto Text vlag is gebruikt terwijl de optie "Beperkte registratie bevestigingstermijn" niet is geactiveerd. Activeer deze optie of corrigeer het tekstveld (ev. meerdere velden) die rood gekleurd zijn.';
 $lang['UAM_GTAutoDelTitle'] = 'Aangepast bericht bij een verwijderd account';
-$lang['UAM_remailtxt1Title'] = 'EmailHerinnering met een nieuw gegenereerde sleutel';
-$lang['UAM_remailtxt2Title'] = 'Emailherinnering zonder een nieuw gegenereerde sleutel';
+$lang['UAM_remailtxt1Title'] = 'E-mailherinnering met een nieuw gegenereerde sleutel';
+$lang['UAM_remailtxt2Title'] = 'E-mailherinnering zonder een nieuw gegenereerde sleutel';
 $lang['UAM_confirmstatTitle'] = 'Statuten';
 $lang['UAM_confirmlevelTitle'] = 'Privacy niveau';
 $lang['UAM_confirmgrpTitle'] = 'Groepen';
-$lang['UAM_Admins_Copy'] = 'Kopie van alle e-mails naar admins:';
+$lang['UAM_Admins_Copy'] = 'Kopie van alle e-mails naar beheerders:';
 $lang['UAM_NewFeature'] = 'Nieuwe functie';