Index: extensions/netinstall/trunk/language/de_DE/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 30031)
+++ extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 31702)
@@ -27,40 +27,40 @@
 $lang['Welcome to NetInstall!'] = 'Willkommen bei NetInstall!';
 $lang['Language'] = 'Sprache';
-$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Dieses Tool ruft das neuestee Piwigo-Archiv ab und entpacken es auf Ihrem Webspace.';
-$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Direkt danach, werden Sie direkt zum Piwigo Setupassistent weitergeleitet.';
+$lang['This tool is meant to retrieve the latest Piwigo archive and unzip it in your webspace.'] = 'Dieses Tool ruft das neueste Piwigo-Archiv ab und entpacken es auf Ihrem Webspace.';
+$lang['Right after then, you will be redirect to the Piwigo Setup Wizard.'] = 'Direkt danach werden Sie direkt zum Piwigo-Setupassistenten weitergeleitet.';
 
 $lang['Write access is needed'] = 'Schreibzugriff ist erforderlich';
-$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'So wie es aussieht ist NetInstall nicht in der Lage in das ausgewählte Verzeichniss zu schreiben, und dies ist erforderlich um fortzusetzen.';
-$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Bitte versuchen Sie Schreibrechte zu ermöglichen und setzen Sie einfach fort, indem Sie den "Aktualisieren" Button in ihrem Browser klicken.';
+$lang['It looks like NetInstall wont be able to write in the current directory, and this is required to follow on.'] = 'Scheinbar kann NetInstall nicht in das ausgewählte Verzeichnis zu schreiben. Dies ist jedoch erforderlich, um fortzusetzen.';
+$lang['Please try to change the permissions to allow write access, then reload this page by hitting the Refresh button.'] = 'Bitte versuchen Sie, die Rechte zu ändern und Schreibzugriff zu ermöglichen. Sie können den Prozess fortsetzen, indem Sie den "Aktualisieren"-Button in ihrem Browser klicken.';
 $lang['Refresh'] = 'Aktualisieren';
 
 $lang['PHP 5 is required'] = 'PHP 5.2 ist erforderlich';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Es sieht so au, als läuft auf ihrem Host die Version PHP %s.';
-$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall wird versuchen Ihre Konfiguration auf PHP 5.2 zu wechseln durch die Erstellung oder Änderung der .Htaccess-Datei.';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Scheinbar läuft auf ihrem Host die PHP-Version %s.';
+$lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall wird versuchen, durch die Erstellung oder Änderung einer .htaccess-Datei zu PHP 5.2 zu wechseln.';
 $lang['Note you can change your configuration by yourself and restart NetInstall after that.'] = 'Hinweis: Sie können Ihre Konfiguration manuell ändern und danach das Netinstall-Script neu aufrufen.';
-$lang['Try to configure PHP 5'] = 'Versuche PHP 5.2 zu konfigurieren';
+$lang['Try to configure PHP 5'] = 'Versuche, PHP 5.2 zu konfigurieren';
 
-$lang['Retrieve and unzip Piwigo'] = 'Abrufen und entpacken der Piwigo';
+$lang['Retrieve and unzip Piwigo'] = 'Abrufen und Entpacken von Piwigo';
 $lang['Destination:'] = 'Zielordner:';
 
 $lang['Sorry!'] = 'Entschuldigung!';
-$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall ist nicht in der Lage PHP 5.2 zu konfigurieren.';
-$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Bitte kontaktieren Sie den Support ihres Providers und bitten Sie ihn um Unterstützung für eine Umstellung auf PHP 5.2";
+$lang['NetInstall was not able to configure PHP 5.'] = 'NetInstall ist nicht in der Lage, PHP 5.2 zu konfigurieren.';
+$lang["You may referer to your hosting provider's support and see how you could switch to PHP 5 by yourself."] = "Bitte kontaktieren Sie den Support ihres Providers und bitten Sie ihn um Unterstützung bei der Umstellung auf PHP 5.2";
 $lang['Hope to see you back soon.'] = 'Wir hoffen, Sie sind bald wieder zurück.';
 
-$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Es scheint in dem Ordner befindet sich eine frühere Version der Piwigo.';
-$lang['You need to rename or remove it before we can go further...'] = 'Sie müssen ihn umbenennen oder entfernen es bevor wir fortsetzen können ...';
-$lang['Needed files are not present.'] = 'Benötigten Dateien sind nicht vorhanden.';
-$lang['Invalid zip file.'] = 'Ungültige zip-Datei.';
-$lang['It seems that the zip file was not extracted.'] = 'Es scheint, die Zip-Datei wurde nicht extrahiert.';
+$lang['It seems like a previous Piwigo installation is still sitting in that space.'] = 'Scheinbar befindet sich in dem Ordner eine frühere Version von Piwigo.';
+$lang['You need to rename or remove it before we can go further...'] = 'Sie müssen ihn umbenennen oder entfernen, bevor wir weitermachen können...';
+$lang['Needed files are not present.'] = 'Benötigte Dateien sind nicht vorhanden.';
+$lang['Invalid zip file.'] = 'Ungültige Zip-Datei.';
+$lang['It seems that the zip file was not extracted.'] = 'Scheinbar wurde die Zip-Datei nicht extrahiert.';
 
 $lang['Congratulations!'] = 'Herzlichen Glückwunsch!';
-$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Alles ging gut. Sie sind jetzt bereit die Installation starten.';
-$lang['Install Piwigo now'] = 'Jetzt die Piwigo installieren';
-$lang['An error occurred while grabbing the necessary files to go on.'] = 'Ein Fehler ist aufgetreten beim aufgreifen der zum fortsetzen erforderlichen Dateien.';
-$lang['Something went wrong...'] = 'Irgendetwas ist schief gelaufen ...';
+$lang['Everything went fine. You are now ready to start the installation procedure.'] = 'Alles ging gut. Sie sind jetzt bereit, die Installation starten.';
+$lang['Install Piwigo now'] = 'Jetzt Piwigo installieren';
+$lang['An error occurred while grabbing the necessary files to go on.'] = 'Beim Herunterladen der zum Fortsetzen erforderlichen Dateien ist ein Fehler aufgetreten.';
+$lang['Something went wrong...'] = 'Irgendetwas ist schief gelaufen...';
 $lang['What are you doing here that way ?!'] = 'Was machen Sie denn hier ?!';
 
-$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Diese Loader wurde zum ersten mal kodiert für <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Danke!';
+$lang['This loader was initialy coded for <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a>. Thanks!'] = 'Diese Loader wurde zum ersten Mal für <a href="http://www.dotclear.net" title="Dotclear">Dotclear</a> programmiert. Danke!';
 
-$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Brauchen Sie Hilfe? Stellen Sie Ihre Frage auf der <a href="%s"> Forum Piwigo </ a>.';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Brauchen Sie Hilfe? Stellen Sie Ihre Frage im <a href="%s">Piwigo-Forum</ a>.';