Index: /extensions/GDThumb/language/lv_LV/description.txt
===================================================================
--- /extensions/GDThumb/language/lv_LV/description.txt	(revision 31742)
+++ /extensions/GDThumb/language/lv_LV/description.txt	(revision 31742)
@@ -0,0 +1,1 @@
+Atainot sīkbildes kā mozaīku.
Index: /extensions/GDThumb/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/GDThumb/language/lv_LV/plugin.lang.php	(revision 31742)
+++ /extensions/GDThumb/language/lv_LV/plugin.lang.php	(revision 31742)
@@ -0,0 +1,75 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2016 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Masonry Type'] = 'Mūra tips';
+$lang['Animate thumbnail on hover'] = 'Animēt sīkbildi kursoram pārejot';
+$lang['Changelog'] = 'Changelog';
+$lang['Coffee Fund'] = 'Kafijas Fonds';
+$lang['Big thumb cannot be used in Slide mode. Disabled'] = 'Lielu sīkattēlu nevar izmantot slaidu režīmā. Atslēgts';
+$lang['Block for Panoramic Photo Page'] = 'Veidod bloku panorāmas fotoattēla Lapai';
+$lang['Cache have been generated'] = 'Kešatmiņa ir izveidota';
+$lang['Show thumbnails caption'] = 'Rādīt sīktēla atlasi ';
+$lang['Slide'] = 'Slaids';
+$lang['Thumbnails max height'] = 'Sīkattēla maksimālais augstums';
+$lang['Thumbnails max height must be an integer'] = 'Sīkattēla maksimālajam augstumam jābūt veselam skaitlim';
+$lang['Title Display Mode (Album)'] = 'Virsraksta atainošanas režīms (Albūms)';
+$lang['Title Display Mode (Photo)'] = 'Virsraksta atainošanas režīms (Foto)';
+$lang['Use Description if Set'] = 'Izmantojiet aprakstu, ja iestatīts';
+$lang['Vertical'] = 'Vertikāls';
+$lang['This Thumb mode cannot be used in Slide mode. Changed to default'] = 'Šo Thumb režīmu nevar izmantot slaidrādes režīmā. Mainīts uz noklusējuma režīmu';
+$lang['Thumb animation cannot be used in Slide mode. Disabled'] = 'Thumb animāciju nevar izmantot slaidu režīmā. Atslēgta';
+$lang['Thumbnail Mode'] = 'Sīkbilžu Režīms';
+$lang['Stop'] = 'Beigt';
+$lang['Start'] = 'Sākt';
+$lang['Purge thumbnails cache'] = 'Izdzēš sīkbilžu kešatmiņu';
+$lang['Photo # if FileName Detected'] = 'Photo #, ja Noteikts FileName';
+$lang['Normalize Photo Title'] = 'Normalizē Foto Nosaukumu';
+$lang['Finds images that have not been cached and creates the cached version.'] = 'Atrod attēlus, kas nav kešatmiņā un izveido "kešotu" versiju.';
+$lang['Delete images in GDThumb cache.'] = 'Izdzēst attēlus no GDThumb kešatmiņas.';
+$lang['Crop (Default)'] = 'Apgriezt (pēc noklusējums)';
+$lang['Merged with Description'] = 'Sapludināti ar Aprakstu';
+$lang['Pre-cache thumbnails'] = 'Ievietot sīkattēlus kešatmiņā';
+$lang['Prevent word wrap'] = 'Novērst teksta aplaušanu';
+$lang['Rating:'] = 'Vērtējums:';
+$lang['Square'] = 'Kvadrāts';
+$lang['Overlay Bottom (Static)'] = 'Apakšas pārklājums (Statisks)';
+$lang['Overlay Bottom'] = 'Apakšas pārklājums';
+$lang['Overlay Ex'] = 'EX Pārklājums';
+$lang['Pause'] = 'Pauze';
+$lang['Overlay Top (Static)'] = 'Augšas pārklājums (Statisks)';
+$lang['Overlay Top'] = 'Augšas pārklājums';
+$lang['Overlay'] = 'Pārklājums';
+$lang['Number of photos per page must be an integer'] = 'Fotoattēlu skaitam lappusē jābūt veselam skaitlim';
+$lang['Metadata Display Mode'] = 'Metadatu atainošanas režīms';
+$lang['Merged (Default)'] = 'Sapludinātās (pēc noklusējuma)';
+$lang['Margin between thumbnails must be an integer'] = 'Atstarpei starp sīkattēliem jābūt veselam skaitlim';
+$lang['Margin between thumbnails'] = 'Atstarpe starp sīkattēliem';
+$lang['Double the size of the first thumbnail'] = 'Dubultot pirmā sīkattēla izmēru';
+$lang['Cache the big thumbnails (recommended)'] = 'Lietot kešatmiņu lielajiem sīkattēliem (ieteicams)';
+$lang['Cache Informations'] = 'Kešatmiņas informācija';
+$lang['Follow'] = 'Sekot';
+$lang['Do not Normalize (Default)'] = 'Ne Normalizēt (Pēc noklusējuma)';
+$lang['Horizontal (Default)'] = 'Horizontāli (Pēc noklusējuma)';
+$lang['%d visits'] = '%d apmeklējumi';
+$lang['%d visit'] = '%d apmeklējms';
+$lang['%d files'] = '%d faili';
+$lang['%d file'] = '%d fails';