Index: extensions/BanIP/admin.php
===================================================================
--- extensions/BanIP/admin.php	(revision 31745)
+++ extensions/BanIP/admin.php	(revision 31746)
@@ -3,5 +3,5 @@
 // | Ban IP plugin for piwigo                                              |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: extensions/BanIP/admin.tpl
===================================================================
--- extensions/BanIP/admin.tpl	(revision 31745)
+++ extensions/BanIP/admin.tpl	(revision 31746)
@@ -1,2 +1,7 @@
+{combine_script id='common' load='footer' path='admin/themes/default/js/common.js'}
+
+{combine_script id='jquery.dataTables' load='footer' path='themes/default/js/plugins/jquery.dataTables.js'}
+{combine_css path="themes/default/js/plugins/datatables/css/jquery.dataTables.css"}
+
 {footer_script}
 jQuery(document).ready(function(){
@@ -15,4 +20,25 @@
   });
 
+  $("#tablebanip").dataTable({
+    pageLength: 10,
+	"pagingType": "full_numbers",
+    language: {
+      processing: "{'Loading...'|translate|escape:'javascript'}",
+      lengthMenu: sprintf("{'Show %s IP'|translate|escape:'javascript'}", '_MENU_'),
+      zeroRecords: "{'No matching IP found'|translate|escape:'javascript'}",
+      info: sprintf("{'Showing %s to %s of %s IP'|translate|escape:'javascript'}", '_START_', '_END_', '_TOTAL_'),
+      infoEmpty: "{'No matching IP found'|translate|escape:'javascript'}",
+      infoFiltered: sprintf("{'(filtered from %s total IP)'|translate|escape:'javascript'}", '_MAX_'),
+      search: '<span class="icon-search"></span>'+"{'Search'|translate|escape:'javascript'}",
+      loadingRecords: "{'Loading...'|translate|escape:'javascript'}",
+      paginate: {
+          first:    "{'First'|translate|escape:'javascript'}",
+          previous: "{'Previous'|translate|escape:'javascript'}",
+          next:     "{'Next'|translate|escape:'javascript'}",
+          last:     "{'Last'|translate|escape:'javascript'}",
+      }
+    }
+  });
+  
 });
 {/footer_script}
@@ -43,5 +69,14 @@
 	<fieldset>
 	  <legend>{'List IP banned'|@translate}</legend>
+	  <table id="tablebanip">
+	    <thead>
+		<tr>
+		  <th></th>
+		</tr>
+		</thead>
+		<tbody>
 		{foreach from=$ipban2 item=ipban}
+		<tr>
+		  <td>
 			<div class="lip">
 			<!-- {$ipban.ID} --> {$ipban.IP}
@@ -51,5 +86,8 @@
 			  </span>
 			</div>
+		  </td>
+		</tr>
 		{/foreach}
+		</tbody>
 	 </table>
   	</fieldset>
Index: extensions/BanIP/initadmin.php
===================================================================
--- extensions/BanIP/initadmin.php	(revision 31745)
+++ extensions/BanIP/initadmin.php	(revision 31746)
@@ -3,5 +3,5 @@
 // | Ban IP plugin for piwigo                                              |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: extensions/BanIP/language/en_UK/plugin.lang.php
===================================================================
--- extensions/BanIP/language/en_UK/plugin.lang.php	(revision 31745)
+++ extensions/BanIP/language/en_UK/plugin.lang.php	(revision 31746)
@@ -3,5 +3,5 @@
 // | Ban IP plugin for piwigo                                              |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -38,2 +38,7 @@
 $lang['Edit IP banned'] = 'Edit IP banned';
 $lang['Update'] = 'Update';
+$lang['Show %s IP'] = 'Show %s IP';
+$lang['No matching IP found'] = 'No matching IP found';
+$lang['Showing %s to %s of %s IP'] = 'Showing %s to %s of %s IP';
+$lang['(filtered from %s total IP)'] = '(filtered from %s total IP)';
+
Index: extensions/BanIP/language/fr_FR/plugin.lang.php
===================================================================
--- extensions/BanIP/language/fr_FR/plugin.lang.php	(revision 31745)
+++ extensions/BanIP/language/fr_FR/plugin.lang.php	(revision 31746)
@@ -3,5 +3,5 @@
 // | Ban IP plugin for piwigo                                              |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -38,3 +38,7 @@
 $lang['Edit IP banned'] = 'Editer l\'IP bannie';
 $lang['Update'] = 'Mettre à jour';
+$lang['Show %s IP'] = 'Afficher %s IP';
+$lang['No matching IP found'] = 'Aucune IP à afficher';
+$lang['Showing %s to %s of %s IP'] = 'Afficher %s à %s sur %s IP';
+$lang['(filtered from %s total IP)'] = '(filtrée de %s IP au total)';
 
Index: extensions/BanIP/main.inc.php
===================================================================
--- extensions/BanIP/main.inc.php	(revision 31745)
+++ extensions/BanIP/main.inc.php	(revision 31746)
@@ -12,5 +12,5 @@
 // | Ban IP plugin for piwigo                                              |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: extensions/BanIP/maintain.class.php
===================================================================
--- extensions/BanIP/maintain.class.php	(revision 31745)
+++ extensions/BanIP/maintain.class.php	(revision 31746)
@@ -4,5 +4,5 @@
 // | Ban IP plugin for piwigo                                              |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |