Index: /extensions/read_metadata/admin.php
===================================================================
--- /extensions/read_metadata/admin.php	(revision 31746)
+++ /extensions/read_metadata/admin.php	(revision 31747)
@@ -3,5 +3,5 @@
 // | Read Metadata                                                         |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -53,4 +53,7 @@
   $_POST['submitreadmetadata']=1;
 }
+if(isset($_POST['idreadmetadata2']) and $_POST['idreadmetadata2']!=-1){
+  $_POST['idreadmetadata']=$_POST['idreadmetadata2'];
+}
 
 if(isset($_POST['idreadmetadata'])){
@@ -63,4 +66,16 @@
     array('RM_ID' => ''));	
 }
+if(isset($_POST['idreadmetadata'])){ echo $_POST['idreadmetadata']; }
+    $tab_picture = pwg_query('SELECT id,name FROM ' . IMAGES_TABLE . ' order by id;');
+	if (pwg_db_num_rows($tab_picture)) {
+        while ($info_photos = pwg_db_fetch_assoc($tab_picture)) {
+			$items = array(
+					'PHOTOID' => $info_photos['id'],
+					'PHOTOINFO' => $info_photos['id'].' - '.$info_photos['name'],
+				);
+			$template->append('info_photos', $items);
+        }
+    }
+
 if (isset($_POST['submitreadmetadata'])){
   if (isset($_POST['idreadmetadata']) and is_numeric($_POST['idreadmetadata'])){
Index: /extensions/read_metadata/admin.tpl
===================================================================
--- /extensions/read_metadata/admin.tpl	(revision 31746)
+++ /extensions/read_metadata/admin.tpl	(revision 31747)
@@ -6,5 +6,11 @@
 	<fieldset id="mainrm">
 	  <legend>{'Choose photo ID'|@translate}</legend>
-	  <input type="number" name="idreadmetadata" value="{$read.RM_ID}">
+	  <input type="number" name="idreadmetadata" value="{$read.RM_ID}"> {'or'|@translate}
+	    <select name="idreadmetadata2">
+			<option value="-1">-----</option>
+		 {foreach from=$info_photos item=infophoto}
+			<option value="{$infophoto.PHOTOID}">{$infophoto.PHOTOINFO}</option>
+         {/foreach}
+		</select>
 	  <p>
 	    <input class="submit" name="submitreadmetadata" type="submit" value="{'Submit'|@translate}">
Index: /extensions/read_metadata/initadmin.php
===================================================================
--- /extensions/read_metadata/initadmin.php	(revision 31746)
+++ /extensions/read_metadata/initadmin.php	(revision 31747)
@@ -3,5 +3,5 @@
 // | Read Metadata                                                         |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/read_metadata/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/read_metadata/language/en_UK/plugin.lang.php	(revision 31746)
+++ /extensions/read_metadata/language/en_UK/plugin.lang.php	(revision 31747)
@@ -3,5 +3,5 @@
 // | Read Metadata                                                         |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -30,2 +30,3 @@
 $lang['Show metadata'] = 'Show metadata';
 $lang['Photo admin page'] = 'Photo admin page';
+$lang['or'] = 'or';
Index: /extensions/read_metadata/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/read_metadata/language/fr_FR/plugin.lang.php	(revision 31746)
+++ /extensions/read_metadata/language/fr_FR/plugin.lang.php	(revision 31747)
@@ -3,5 +3,5 @@
 // | Read Metadata                                                         |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -30,2 +30,3 @@
 $lang['Show metadata'] = 'Voir les métadonnées';
 $lang['Photo admin page'] = 'Page d\'administration de la photo';
+$lang['or'] = 'ou';
Index: /extensions/read_metadata/main.inc.php
===================================================================
--- /extensions/read_metadata/main.inc.php	(revision 31746)
+++ /extensions/read_metadata/main.inc.php	(revision 31747)
@@ -12,5 +12,5 @@
 // | Read Metadata                                                         |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |