Index: /extensions/Panoramas/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/Panoramas/language/de_DE/plugin.lang.php	(revision 31780)
+++ /extensions/Panoramas/language/de_DE/plugin.lang.php	(revision 31781)
@@ -4,6 +4,6 @@
 $lang['Control display'] = 'Steuerungspanel';
 $lang['Left'] = 'Links';
-$lang['Maximal Viewport width is out of range (Correct range: Minimal/+).'] = 'Maximale Breite des Viewports ist ausser Reichweite(Korrigierter Bereich: Minimal/+).'; 
-$lang['Minimal Viewport width is out of range (Correct range: 320/+).'] = 'Minimale Breite des Viewports ist ausser Reichweite(Korrigierte Bereich: 320/+).'; 
+$lang['Maximal Viewport width is out of range (Correct range: Minimal/+).'] = 'Maximale Breite des Viewports ist außerhalb des erlaubten Bereichs (Erlaubter Bereich: Minimal/+).';
+$lang['Minimal Viewport width is out of range (Correct range: 320/+).'] = 'Minimale Breite des Viewports ist außerhalb des erlaubten Bereichs (Erlaubter Bereich: 320/+).';
 $lang['Mode 180 (Alternative left-right restart)'] = 'Modus 180 (Alternativer links-rechts Neustart)';
 $lang['Mode 360'] = 'Modus 360';
@@ -14,9 +14,9 @@
 $lang['Picture name substring could not be empty.'] = 'Der Teilstring des Bildernamens darf nicht leer sein.'; 
 $lang['Picture name substring to display in Mode 180 [ != previous substring ]'] = 'Teilstring des Bildernamens welcher im Modus 180 angezeigt wird [ != Vorheriger Teilstring ]';
-$lang['Picture name substring to display in Mode 360'] = 'Teilstring des Bildernamens welcher im Modus 360 angezeigt wird';
-$lang['Picture name substrings must be different.'] = 'Teilstringe der Bildernamen müssen verschieden sein.'; 
+$lang['Picture name substring to display in Mode 360'] = 'Teilstring des Bildernamens, der im Modus 360 angezeigt wird';
+$lang['Picture name substrings must be different.'] = 'Teilstrings der Bildernamen müssen verschieden sein.';
 $lang['Relative speed factor [10-90]'] = 'Relativer Geschwindigkeitsfaktor [10-90]';
-$lang['Relative speed factor is out of range (Correct range: 10-90).'] = 'Relativer Geschwindigkeitsfaktor ist ausser Reichweite(Korrekter Bereich: 10-90).'; 
-$lang['Remove substring from picture title'] = 'Entfernen des Teilstringes vom Titel des Bildes';
+$lang['Relative speed factor is out of range (Correct range: 10-90).'] = 'Relativer Geschwindigkeitsfaktor ist außerhalb des erlaubten Bereichs (Erlaubter Bereich: 10-90).';
+$lang['Remove substring from picture title'] = 'Entfernen des Teilstrings aus dem Titel des Bildes';
 $lang['Right'] = 'Rechts';
 $lang['Rotation direction'] = 'Drehrichtung';
@@ -24,10 +24,10 @@
 $lang['authors of'] = 'Autoren von';
 $lang['Start position [% between 0-99]'] = 'Startposition [% zwischen 0-99]';
-$lang['Start position ratio is out of range (Correct range: 0-99).'] = 'Startposition Verhältnis liegt ausserhalb des Bereiches (Korrekter Bereich: 0-99).'; 
+$lang['Start position ratio is out of range (Correct range: 0-99).'] = 'Startposition Verhältnis liegt ausserhalb des erlaubten Bereiches (Korrekter Bereich: 0-99).';
 $lang['Viewport maximal width [pixels >= minimal width]'] = 'Viewport maximale Breite [Pixels >= minimale Breite]';
 $lang['Viewport minimal width [pixels > 320]'] = 'Viewport minimale Breite [Pixels > 320]';
 $lang['Viewport width [% between 50-100]'] = 'Viewport Breite [% zwischen 50-100]';
-$lang['Viewport width ratio is out of range (Correct range: 50-100).'] = 'Viewport Breite Verhältnis ist ausser Reichweite (Korrekter Bereich: 50-100).'; 
-$lang['You are not authorized to change this configuration (Webmaster only).'] = 'Sie sind nicht berechtigt diese Konfiguration zu ändern(nur Webmaster).';
+$lang['Viewport width ratio is out of range (Correct range: 50-100).'] = 'Viewport Breite Verhältnis ist außerhalb des erlaubten Bereichs (Korrekter Bereich: 50-100).';
+$lang['You are not authorized to change this configuration (Webmaster only).'] = 'Sie sind nicht berechtigt, diese Konfiguration zu ändern (nur Webmaster).';
 $lang['Your configuration is NOT saved due to above reasons.'] = 'Ihre Konfiguration konnte wegen den oben genannten Gründen nicht gespeichert werden.';
 $lang['Your configuration is saved.'] = 'Ihre Konfiguration wurde gespeichert.';
@@ -39,3 +39,3 @@
 $lang['Footer Control Color'] = 'Fußzeile Kontrollfarbe';
 $lang['Footer display'] = 'Fußzeile Anzeige';
-?>
+$lang['Picture name substring to display in Mode 180 '][' != previous substring '] = 'Teilstring des Bildernamens, der im Modus 180 angezeigt wird [ != Vorheriger Teilstring ]';