Index: /extensions/AlwaysShowMetadata/index.php
===================================================================
--- /extensions/AlwaysShowMetadata/index.php	(revision 31799)
+++ /extensions/AlwaysShowMetadata/index.php	(revision 31799)
@@ -0,0 +1,8 @@
+<?php
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AlwaysShowMetadata/language/en_UK/description.txt
===================================================================
--- /extensions/AlwaysShowMetadata/language/en_UK/description.txt	(revision 31799)
+++ /extensions/AlwaysShowMetadata/language/en_UK/description.txt	(revision 31799)
@@ -0,0 +1,1 @@
+Always Show Metadata
Index: /extensions/AlwaysShowMetadata/language/en_UK/index.php
===================================================================
--- /extensions/AlwaysShowMetadata/language/en_UK/index.php	(revision 31799)
+++ /extensions/AlwaysShowMetadata/language/en_UK/index.php	(revision 31799)
@@ -0,0 +1,8 @@
+<?php
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AlwaysShowMetadata/language/fr_FR/description.txt
===================================================================
--- /extensions/AlwaysShowMetadata/language/fr_FR/description.txt	(revision 31799)
+++ /extensions/AlwaysShowMetadata/language/fr_FR/description.txt	(revision 31799)
@@ -0,0 +1,1 @@
+Toujours montrer les métadatas
Index: /extensions/AlwaysShowMetadata/language/fr_FR/index.php
===================================================================
--- /extensions/AlwaysShowMetadata/language/fr_FR/index.php	(revision 31799)
+++ /extensions/AlwaysShowMetadata/language/fr_FR/index.php	(revision 31799)
@@ -0,0 +1,8 @@
+<?php
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AlwaysShowMetadata/language/index.php
===================================================================
--- /extensions/AlwaysShowMetadata/language/index.php	(revision 31799)
+++ /extensions/AlwaysShowMetadata/language/index.php	(revision 31799)
@@ -0,0 +1,8 @@
+<?php
+// Recursive call
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/AlwaysShowMetadata/main.inc.php
===================================================================
--- /extensions/AlwaysShowMetadata/main.inc.php	(revision 31799)
+++ /extensions/AlwaysShowMetadata/main.inc.php	(revision 31799)
@@ -0,0 +1,37 @@
+<?php
+/*
+Plugin Name: AlwaysShowMetadata
+Version: 1.0
+Description: Always Show Metadata
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=856
+Author: ddtddt
+Author URI: http://temmii.com/piwigo/
+*/
+// +-----------------------------------------------------------------------+
+// | AlwaysShowMetadata plugin for piwigo                                  |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2017 ddtddt             http://temmii.com/piwigo/ |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+add_event_handler('loc_begin_picture','showmeta');
+
+function showmeta(){
+  pwg_set_session_var('show_metadata', 1 );
+}
+
+
+?>