Index: /extensions/user_custom_fields/admin.php
===================================================================
--- /extensions/user_custom_fields/admin.php	(revision 31840)
+++ /extensions/user_custom_fields/admin.php	(revision 31841)
@@ -3,5 +3,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -22,5 +22,5 @@
 if (!defined('PHPWG_ROOT_PATH'))
     die('Hacking attempt!');
-global $template, $conf, $user;
+global $template, $conf, $user, $prefixeTable;
 include_once(PHPWG_ROOT_PATH . 'admin/include/tabsheet.class.php');
 $my_base_url = get_admin_plugin_menu_link(__FILE__);
@@ -71,4 +71,5 @@
 						'UCFADMINONLY' => $user_custom_fields['adminonly'],
 						'UCFOBLIGATORY' => $user_custom_fields['obligatory'],
+						'U_DELETE' => $admin_base_url . '&amp;delete=' . $user_custom_fields['id_ucf'],
                         'U_HIDE' => $admin_base_url . '&amp;hide=' . $user_custom_fields['id_ucf'],
                         'U_SHOW' => $admin_base_url . '&amp;show=' . $user_custom_fields['id_ucf'],
@@ -203,4 +204,62 @@
             pwg_query($query);
 		}
+	/*Import information *AA */
+	$exp = pwg_db_fetch_assoc(pwg_query("SELECT state FROM " . PLUGINS_TABLE . " WHERE id = 'AddInfousers';"));
+	if($exp['state']=='active'){
+		$template->assign(
+			'gestImp',
+				array(
+				 'yep'=>l10n('yep'),
+		));
+	}
+		if (isset($_POST['submitimport'])){
+
+	$iducf=pwg_db_fetch_assoc(pwg_query('SELECT id_ucf FROM ' . UCF_TABLE . ' ORDER BY id_ucf DESC LIMIT 1;'));	
+	
+	
+	$iducf=$iducf['id_ucf'];
+	$iducf1=$iducf+1;$iducf2=$iducf+2;$iducf3=$iducf+3;$iducf4=$iducf+4;$iducf5=$iducf+5;$iducf6=$iducf+6;$iducf7=$iducf+7;
+	$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields(id_ucf,wording,order_ucf,active,edit,adminonly,obligatory)VALUES ('.$iducf1.',"infos1",'.$iducf1.',1,1,0,1);';
+    pwg_query($q);
+	$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields(id_ucf,wording,order_ucf,active,edit,adminonly,obligatory)VALUES ('.$iducf2.',"infos2",'.$iducf2.',1,1,0,1);';
+    pwg_query($q);
+	$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields(id_ucf,wording,order_ucf,active,edit,adminonly,obligatory)VALUES ('.$iducf3.',"infos3",'.$iducf3.',1,1,0,1);';
+    pwg_query($q);
+	$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields(id_ucf,wording,order_ucf,active,edit,adminonly,obligatory)VALUES ('.$iducf4.',"infos4",'.$iducf4.',1,1,0,1);';
+    pwg_query($q);
+	$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields(id_ucf,wording,order_ucf,active,edit,adminonly,obligatory)VALUES ('.$iducf5.',"infos5",'.$iducf5.',1,1,0,1);';
+    pwg_query($q);
+	$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields(id_ucf,wording,order_ucf,active,edit,adminonly,obligatory)VALUES ('.$iducf6.',"infos6",'.$iducf6.',1,1,0,1);';
+    pwg_query($q);
+	$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields(id_ucf,wording,order_ucf,active,edit,adminonly,obligatory)VALUES ('.$iducf7.',"infos7",'.$iducf7.',1,1,0,1);';
+    pwg_query($q);
+	
+	
+	$query = 'SELECT * FROM '. $prefixeTable . 'addinfo_users;';
+	$result = pwg_query($query);
+	if (pwg_db_num_rows($result)) {
+		while ($info = pwg_db_fetch_assoc($result)){
+			$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields_data(id_user,id_ucf,data)VALUES ('.$info['id'].','.$iducf1.',"'.htmlspecialchars($info['info1']).'");';
+			pwg_query($q);
+			$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields_data(id_user,id_ucf,data)VALUES ('.$info['id'].','.$iducf2.',"'.htmlspecialchars($info['info2']).'");';
+			pwg_query($q);
+			$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields_data(id_user,id_ucf,data)VALUES ('.$info['id'].','.$iducf3.',"'.htmlspecialchars($info['info3']).'");';
+			pwg_query($q);
+			$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields_data(id_user,id_ucf,data)VALUES ('.$info['id'].','.$iducf4.',"'.htmlspecialchars($info['info4']).'");';
+			pwg_query($q);
+			$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields_data(id_user,id_ucf,data)VALUES ('.$info['id'].','.$iducf5.',"'.htmlspecialchars($info['info5']).'");';
+			pwg_query($q);
+			$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields_data(id_user,id_ucf,data)VALUES ('.$info['id'].','.$iducf6.',"'.htmlspecialchars($info['info6']).'");';
+			pwg_query($q);
+			$q = 'INSERT INTO ' . $prefixeTable . 'user_custom_fields_data(id_user,id_ucf,data)VALUES ('.$info['id'].','.$iducf7.',"'.htmlspecialchars($info['info7']).'");';
+			pwg_query($q);
+
+		}
+	}
+	pwg_query( 'UPDATE ' . PLUGINS_TABLE . ' SET state="inactive" WHERE id="AddInfousers"');
+	$_SESSION['page_infos'] = array(l10n('Import is successful'));
+	redirect($admin_base_url);
+	} 
+	/*End *AA */
   break;
   case 'edit_user':
Index: /extensions/user_custom_fields/admin.tpl
===================================================================
--- /extensions/user_custom_fields/admin.tpl	(revision 31840)
+++ /extensions/user_custom_fields/admin.tpl	(revision 31841)
@@ -169,5 +169,12 @@
 }
 {/html_style}
-
+{if isset ($gestImp)}
+	<form method="post" >
+		<fieldset>
+			<legend>{'Import infos since Add Info Users'|@translate}</legend>
+			<input class="submit" name="submitimport" type="submit" value="{'Import'|@translate}">
+		</fieldset>
+	</form>
+{/if}
 
 <div class="titrePage">
@@ -181,5 +188,5 @@
         <form method="post" >
             <fieldset>
-                <legend><span id="leg_add">{'Create new custom fields'|@translate}</span><span id="leg_edit">{'Edit custom fields'|@translate}</span></legend>
+                <legend><span id="leg_add">{'Create new custom fields'|@translate}</span><span id="leg_edit">{'Edit custom filds'|@translate}</span></legend>
                 <input id="hideid" type="hidden" name="invisibleID" value="{$addinfo_edit2.AIPID}">
                 <p class="input">
Index: /extensions/user_custom_fields/include/function.inc.php
===================================================================
--- /extensions/user_custom_fields/include/function.inc.php	(revision 31840)
+++ /extensions/user_custom_fields/include/function.inc.php	(revision 31841)
@@ -4,5 +4,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/user_custom_fields/initadmin.php
===================================================================
--- /extensions/user_custom_fields/initadmin.php	(revision 31840)
+++ /extensions/user_custom_fields/initadmin.php	(revision 31841)
@@ -3,5 +3,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/user_custom_fields/initprofile.php
===================================================================
--- /extensions/user_custom_fields/initprofile.php	(revision 31840)
+++ /extensions/user_custom_fields/initprofile.php	(revision 31841)
@@ -3,5 +3,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/user_custom_fields/initregister.php
===================================================================
--- /extensions/user_custom_fields/initregister.php	(revision 31840)
+++ /extensions/user_custom_fields/initregister.php	(revision 31841)
@@ -3,5 +3,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/user_custom_fields/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/user_custom_fields/language/en_UK/plugin.lang.php	(revision 31840)
+++ /extensions/user_custom_fields/language/en_UK/plugin.lang.php	(revision 31841)
@@ -3,5 +3,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -25,7 +25,7 @@
 $lang['Custom fields delete'] = 'Custom fields delete';
 $lang['Data custom fields update'] = 'Data custom fields update';
-$lang['Manage custom fields'] = 'Manage custom fields';
-$lang['Create new custom fields'] = 'Create new custom fields';
-$lang['Edit custom fields'] = 'Edit custom fields';
+$lang['Manage custom filds'] = 'Manage custom filds';
+$lang['Create new custom filds'] = 'Create new custom filds';
+$lang['Edit custom filds'] = 'Edit custom filds';
 $lang['Wording'] = 'Wording';
 $lang['Admin only'] = 'Admin only';
@@ -33,3 +33,8 @@
 $lang['Fields List'] = 'Fields List';
 
+/*data user add info*/
+$lang['Import infos since Add Info Users'] = 'Import infos since Add Info Users';
+$lang['Import'] = 'Import';
+$lang['Import is successful'] = 'Import is successful';
+
 ?>
Index: /extensions/user_custom_fields/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/user_custom_fields/language/fr_FR/plugin.lang.php	(revision 31840)
+++ /extensions/user_custom_fields/language/fr_FR/plugin.lang.php	(revision 31841)
@@ -3,5 +3,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
@@ -25,7 +25,7 @@
 $lang['Custom fields delete'] = 'Champs utilisateur supprimée';
 $lang['Data custom fields update'] = 'Données des champs pour l\'utilisateur mises à jour';
-$lang['Manage user custom fields'] = 'Gérer Manage custom fields';
-$lang['Create new custom fields'] = 'Créer un nouveau champs personnalisé';
-$lang['Edit custom fields'] = 'Éditer champs personnalisé';
+$lang['Manage user custom filds'] = 'Gérer Manage custom filds';
+$lang['Create new custom filds'] = 'Créer un nouveau champs personnalisé';
+$lang['Edit custom filds'] = 'Editer champs personnalisé';
 $lang['Wording'] = 'Libellé';
 $lang['Admin only'] = 'Seulement l\'administrateur';
@@ -33,3 +33,8 @@
 $lang['Fields List'] = 'Liste des Champs';
 
+/*data user add info*/
+$lang['Import infos since Add Info Users'] = 'Importer les informations du plugin Add Info Users';
+$lang['Import'] = 'Import';
+$lang['Import is successful'] = 'L\'import est un succès';
+
 ?>
Index: /extensions/user_custom_fields/main.inc.php
===================================================================
--- /extensions/user_custom_fields/main.inc.php	(revision 31840)
+++ /extensions/user_custom_fields/main.inc.php	(revision 31841)
@@ -12,5 +12,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/user_custom_fields/maintain.class.php
===================================================================
--- /extensions/user_custom_fields/maintain.class.php	(revision 31840)
+++ /extensions/user_custom_fields/maintain.class.php	(revision 31841)
@@ -3,5 +3,5 @@
 // | User Custom Fields plugin for Piwigo                                  |
 // +-----------------------------------------------------------------------+
-// | Copyright(C) 2016 ddtddt                    http://temmii.com/piwigo/ |
+// | Copyright(C) 2016-2017 ddtddt               http://temmii.com/piwigo/ |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |