Index: extensions/PersoFavicon/language/ja_JP/plugin.lang.php
===================================================================
--- extensions/PersoFavicon/language/ja_JP/plugin.lang.php	(revision 31928)
+++ extensions/PersoFavicon/language/ja_JP/plugin.lang.php	(revision 31928)
@@ -0,0 +1,43 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2017 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['PersoFavicon'] = '個人的なファビコン';
+$lang['pfi_h2'] = '個人的なファビコンプラグイン';
+$lang['pfi_aide1'] = 'アップロードフォームで追加したファイルは自動的に"favicon.ico"に名前が変更され、ローカルディレクトリにあるファビコンを上書きします。<br><br>ファイルサイズの上限は5kBです。<br><br>新しいファビコンを見るために、ウェブブラウザによっては、キャッシュをクリアしたり再起動する必要があるかも知れません。';
+$lang['pfi_aide2'] = 'もしファビコンをFTP経由に"favicon.ico"以外の名前でアップロードした場合、ローカル設定ファイルに以下を追加できます。<br><pre>$conf[\'PersoFavicon\'] = \'your filename\';</pre>';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_validdef'] = 'アップロードしていいですか？もしファビコンのファイルが存在したら、新しいファイルが上書きされます。';
+$lang['This section is reserved for the webmaster'] = 'このセクションはウェブマスター専用です';
+$lang['help'] = 'ヘルプ';
+$lang['pfi_actu'] = '現在のファビコン（あなたのローカルディレクトリにある）：';
+$lang['pfi_actu2'] = '警告：どんな新しいファビコンでもそれを上書きします';
+$lang['pfi_aide1T'] = 'フォームを追加する';
+$lang['pfi_ajout'] = 'アイコンを追加する';
+$lang['pfi_envoie'] = 'ローカルディレクトリへアップロードする';
+$lang['pfi_erreur_exist'] = 'そのファイルは置き換えられています';
+$lang['pfi_erreur_ext'] = 'タイプが .ico のファイルをアップロードしなければなりません';
+$lang['pfi_erreur_mouve'] = '"ローカル"ディレクトリのファイルをコピーできません';
+$lang['pfi_erreur_nom'] = '不正なファイル名';
+$lang['pfi_erreur_taille'] = 'ファイルサイズの上限は5KBです';
+$lang['pfi_erreur_vide'] = 'ファイルが見つかりません';
+$lang['pfi_ok'] = 'そのファイルはアップロードされました';
+$lang['pfi_select'] = 'あなたのアイコンファイルを選択（.ico, 5KBまで）';