Index: extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/cs_CZ/loader.lang.txt	(revision 31936)
@@ -36,5 +36,5 @@
 $lang['Refresh'] = 'Obnovit';
 
-$lang['PHP 5 is required'] = 'Je požadováno PHP verze 5.2';
+$lang['PHP %s is required'] = 'Je požadováno PHP verze %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Váš webhosting aktuálně používá PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall zkusí navolit konfiguraci na PHP 5.2 vytvořením nebo modifikací .htaccess souboru.';
Index: extensions/netinstall/trunk/language/da_DK/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/da_DK/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/da_DK/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Opfrisk';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 er krævet';
+$lang['PHP %s is required'] = 'PHP %s er krævet';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Det ser ud til at din webhost i øjeblikket kører PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall kan prøve at skifte din opsætning til PHP 5.2, ved at oprette eller ændre en .htaccess-fil.';
Index: extensions/netinstall/trunk/language/de_DE/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/de_DE/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Aktualisieren';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 ist erforderlich';
+$lang['PHP %s is required'] = 'PHP %s ist erforderlich';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Scheinbar läuft auf ihrem Host die PHP-Version %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall wird versuchen, durch die Erstellung oder Änderung einer .htaccess-Datei zu PHP 5.2 zu wechseln.';
Index: extensions/netinstall/trunk/language/el_GR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/el_GR/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/el_GR/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Ανανέωση';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 είναι απαραίτητο';
+$lang['PHP %s is required'] = 'PHP %s είναι απαραίτητο';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Φαίνεται ότι ο webhost σας εκτελεί PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Το NetInstall μπορεί να προσπαθήσει να αλλάξετε τις ρυθμίσεις σας σε PHP 5.2, με τη δημιουργία ή την τροποποίηση ενός αρχείου .htaccess.';
Index: extensions/netinstall/trunk/language/en_UK/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/en_UK/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Refresh';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 is required';
+$lang['PHP %s is required'] = 'PHP %s is required';
 $lang['It appears your webhost is currently running PHP %s.'] = 'It appears your webhost is currently running PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall may try to switch your configuration to PHP 5.2 by creating or modifying a .htaccess file.';
Index: extensions/netinstall/trunk/language/es_ES/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/es_ES/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Actualizar';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 es requerido';
+$lang['PHP %s is required'] = 'PHP %s es requerido';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Aparentemente, la versión PHP de su hébergeur es PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall tratara de pasar en PHP 5.2 creando o modificando el fichero .htaccess.';
Index: extensions/netinstall/trunk/language/fa_IR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/fa_IR/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/fa_IR/loader.lang.txt	(revision 31936)
@@ -35,5 +35,4 @@
 $lang['Refresh'] = 'ریفرش';
 
-$lang['PHP 5 is required'] = 'نگارش پنجم PHP مورد نیاز است';
 $lang['It appears your webhost is currently running PHP %s.'] = 'به نظر می‌رسد هاست شما نگارش %s از PHP را بکار می‌برد.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'شاید NetInstall با ویرایش یک پرونده‌ی .htaccess پیکربندی شما را به PHP 5.2 تغییر دهد.';
Index: extensions/netinstall/trunk/language/fr_FR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/fr_FR/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Actualiser';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 est requis';
+$lang['PHP %s is required'] = 'PHP %s est requis';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Apparemment, la version PHP de votre hébergeur est PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall va essayer de passer en PHP 5.2 en créant ou en modifiant le fichier .htaccess.';
Index: extensions/netinstall/trunk/language/gl_ES/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/gl_ES/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Actualizar';
 
-$lang['PHP 5 is required'] = 'Requírese PHP 5.2';
+$lang['PHP %s is required'] = 'Requírese PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu aloxamento web está a executar a versión de PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall pode tratar de mudar a túa configuración a PHP 5.2 a traveso da creación ou modificación do ficheiro .htaccess.';
Index: extensions/netinstall/trunk/language/hu_HU/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/hu_HU/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Frissítés';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 szükséges';
+$lang['PHP %s is required'] = 'PHP %s szükséges';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Úgy tűnik, a tárhelyszolgáltatójánál jelenleg PHP %s fut.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'A NetInstall megpróbálhatja bekapcsolni a PHP 5.2-öt azáltal, hogy létrehoz vagy módosít egy .htaccess fájlt.';
Index: extensions/netinstall/trunk/language/it_IT/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/it_IT/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Refresh';
 
-$lang['PHP 5 is required'] = 'È necessario PHP 5.2';
+$lang['PHP %s is required'] = 'È necessario PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Sembrerebbe che la versione del vostro server è PHP %s';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall cerchrà di passare in PHP 5.2 creando o modificando il file .htaccess';
Index: extensions/netinstall/trunk/language/lv_LV/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/lv_LV/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Atsvaidzināt';
 
-$lang['PHP 5 is required'] = 'Nepieciešams PHP 5.2';
+$lang['PHP %s is required'] = 'Nepieciešams PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Izskatās, ka jūsu web pakalpojuma sniedzējs patlaban strādā ar PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall var mēģināt pārslēgt jūsu konfigurāciju uz PHP 5.2, izveidojot vai modificējot  .htaccess failu.';
Index: extensions/netinstall/trunk/language/nb_NO/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/nb_NO/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Refresh';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 kreves';
+$lang['PHP %s is required'] = 'PHP %s kreves';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Det ser ut til at din web leverandør kjører PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] ='NetInstall kan prøve å bytte din konfigurasjon til 5.2 ved å lage eller endre en .htaccess fil.';
Index: extensions/netinstall/trunk/language/nl_NL/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/nl_NL/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Ververs';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 is noodzakelijk';
+$lang['PHP %s is required'] = 'PHP %s is noodzakelijk';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Het lijkt erop dat uw webhost op het moment PHP %s draait.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall kan proberen uw configuratie om te zetten naar PHP 5 door het aanmaken of wijzigen van een .htaccess bestand.';
Index: extensions/netinstall/trunk/language/pl_PL/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/pl_PL/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Odśwież';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 jest wymagane';
+$lang['PHP %s is required'] = 'PHP %s jest wymagane';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Twój serwer aktualnie używa PHP w wersji %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall może spróbować przełączyć Twoją konfigurację do PHP 5.2 poprzez modyfikację pliku .htaccess.';
Index: extensions/netinstall/trunk/language/pt_BR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/pt_BR/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Atualizar';
 
-$lang['PHP 5 is required'] = 'É necessário PHP 5.2';
+$lang['PHP %s is required'] = 'É necessário PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu site está sendo executado em PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall pode tentar mudar sua configuração para o PHP 5.2, criando ou modificando um arquivo .htaccess.';
Index: extensions/netinstall/trunk/language/pt_PT/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/pt_PT/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/pt_PT/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Refrescar';
 
-$lang['PHP 5 is required'] = 'è necessário PHP 5.2';
+$lang['PHP %s is required'] = 'è necessário PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Parece que o seu server de alojamento tem o PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall tentará alterar a configuração para o PHP 5.2, criar ou modificar o arquivo .taccess.';
Index: extensions/netinstall/trunk/language/ru_RU/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/ru_RU/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Обновить';
 
-$lang['PHP 5 is required'] = 'требуется PHP 5.2';
+$lang['PHP %s is required'] = 'требуется PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Похоже, что тарифный плван Вашего хостинга использует версию PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall может попытаться переконфигурировать к версии PHP 5.2 с помощью создания или модификации файла .htaccess.';
Index: extensions/netinstall/trunk/language/sk_SK/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/sk_SK/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Obnoviť';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 je potrebné';
+$lang['PHP %s is required'] = 'PHP %s je potrebné';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Zdá sa, že Váš webhosting beží na PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'Sieťová inštalácia NetInstall sa môže pokúsiť prepnúť Vašu konfiguráciu na PHP 5.2 vytvorením alebo modifikovaním .htaccess súboru.';
Index: extensions/netinstall/trunk/language/tr_TR/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/tr_TR/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Yenile';
 
-$lang['PHP 5 is required'] = 'PHP 5.2 gerekli';
+$lang['PHP %s is required'] = 'PHP %s gerekli';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Webhost\'un halen PHP %s \'ile çalışıyor.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetKurulum ayarların değiştirilebilir  .htaccess doyasını oluşturarak yada düzenleyerek NetKurulum için gerekli PHP 5.2 ayarlarını yapabilirsiniz.';
Index: extensions/netinstall/trunk/language/uk_UA/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/uk_UA/loader.lang.txt	(revision 31936)
@@ -35,5 +35,5 @@
 $lang['Refresh'] = 'Оновити';
 
-$lang['PHP 5 is required'] = 'Потрібен PHP 5.2';
+$lang['PHP %s is required'] = 'Потрібен PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = 'Схоже, ваш хостинг в даний час працює з PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = 'NetInstall може спробувати переключити конфігурацію PHP 5.2 шляхом створення або зміни .htaccess файла.';
Index: extensions/netinstall/trunk/language/zh_CN/loader.lang.txt
===================================================================
--- extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 31935)
+++ extensions/netinstall/trunk/language/zh_CN/loader.lang.txt	(revision 31936)
@@ -34,5 +34,5 @@
 $lang['Refresh'] = '刷新';
 
-$lang['PHP 5 is required'] = '需要 PHP 5.2 ';
+$lang['PHP %s is required'] = '需要 PHP %s';
 $lang['It appears your webhost is currently running PHP %s.'] = '你的服务器当前运行的是 PHP %s.';
 $lang['NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'] = '网络安装程序也许试图通过创建或者修改 .htaccess 文件以改变你的 PHP 5.2 的配置。';
Index: extensions/netinstall/trunk/piwigo-netinstall.php
===================================================================
--- extensions/netinstall/trunk/piwigo-netinstall.php	(revision 31935)
+++ extensions/netinstall/trunk/piwigo-netinstall.php	(revision 31936)
@@ -17,4 +17,5 @@
 define('DC_LOADER_SERVICE','http://piwigo.org/download/netinstall/');
 define('DC_LOADER_ARCHIVE','http://piwigo.org/download/dlcounter.php?code=latest');
+define('REQUIRED_PHP_VERSION', '5.6.31');
 
 $available_languages = array(
@@ -65,5 +66,5 @@
 
 $step = !empty($_REQUEST['step']) ? (integer)$_REQUEST['step'] : 1;
-$got_php5 = version_compare(PHP_VERSION, '5.2', '>=');
+$got_php5 = version_compare(PHP_VERSION, REQUIRED_PHP_VERSION, '>=');
 if (!$got_php5 && $step != 2)
 {
@@ -441,10 +442,16 @@
     elseif (!$got_php5)
     {
-      writeMessage('notice',l10n('PHP 5 is required'), array(
+      writeMessage('notice',sprintf(l10n('PHP %s is required'), REQUIRED_PHP_VERSION), array(
         sprintf(l10n('It appears your webhost is currently running PHP %s.'), PHP_VERSION),
-        l10n('NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'),
-        l10n('Note you can change your configuration by yourself and restart NetInstall after that.')
+        // l10n('NetInstall may try to switch your configuration to PHP 5 by creating or modifying a .htaccess file.'),
+        // l10n('Note you can change your configuration by yourself and restart NetInstall after that.')
       ));
-      nextAction(l10n('Try to configure PHP 5'),2);
+
+      // 2018-07-18 : Piwigo 2.9.4 is out and now requires PHP 5.3 instead of 5.2.
+      // I realize NetInstall has this procedure which try to force PHP 5 instead
+      // of PHP 4. This procedure has become useless in 2018. I comment it for now,
+      // because we may need it in a few years when PHP 7 will become mandatory.
+
+      // nextAction(l10n('Try to configure PHP 5'),2);
     }
     else