Index: /extensions/Versa/template/about.tpl
===================================================================
--- /extensions/Versa/template/about.tpl	(revision 31942)
+++ /extensions/Versa/template/about.tpl	(revision 31943)
@@ -1,5 +1,5 @@
 <div id="mainBox">
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/comments.tpl
===================================================================
--- /extensions/Versa/template/comments.tpl	(revision 31942)
+++ /extensions/Versa/template/comments.tpl	(revision 31943)
@@ -1,5 +1,5 @@
 <div id="mainBox">
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/header.tpl
===================================================================
--- /extensions/Versa/template/header.tpl	(revision 31942)
+++ /extensions/Versa/template/header.tpl	(revision 31943)
@@ -30,5 +30,5 @@
 
 <link href="https://fonts.googleapis.com/css?family=Noto+Sans:400,700|Raleway:200,300,400,700,900" rel="stylesheet">
-<link href="themes/versa/font-awesome/css/font-awesome.min.css" rel='stylesheet' type='text/css'>
+<link href="themes/Versa/font-awesome/css/font-awesome.min.css" rel='stylesheet' type='text/css'>
 
 {get_combined_css}
Index: /extensions/Versa/template/identification.tpl
===================================================================
--- /extensions/Versa/template/identification.tpl	(revision 31942)
+++ /extensions/Versa/template/identification.tpl	(revision 31943)
@@ -1,5 +1,5 @@
 <div id="mainBox">
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/index.tpl
===================================================================
--- /extensions/Versa/template/index.tpl	(revision 31942)
+++ /extensions/Versa/template/index.tpl	(revision 31943)
@@ -1,6 +1,6 @@
 <div id="mainBox">
-{combine_script id='core.switchbox' load='async' require='jquery' path='themes/versa/js/switchbox.js'}
+{combine_script id='core.switchbox' load='async' require='jquery' path='themes/Versa/js/switchbox.js'}
 {$MENUBAR}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/notification.tpl
===================================================================
--- /extensions/Versa/template/notification.tpl	(revision 31942)
+++ /extensions/Versa/template/notification.tpl	(revision 31943)
@@ -6,5 +6,5 @@
 <div id="mainBox">
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/password.tpl
===================================================================
--- /extensions/Versa/template/password.tpl	(revision 31942)
+++ /extensions/Versa/template/password.tpl	(revision 31943)
@@ -1,5 +1,5 @@
 <div id="mainBox">
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/picture.tpl
===================================================================
--- /extensions/Versa/template/picture.tpl	(revision 31942)
+++ /extensions/Versa/template/picture.tpl	(revision 31943)
@@ -1,4 +1,4 @@
 <div id="mainBox">
-{combine_script id='core.switchbox' load='async' require='jquery' path='themes/versa/js/switchbox.js'}
+{combine_script id='core.switchbox' load='async' require='jquery' path='themes/Versa/js/switchbox.js'}
 
 <div id="content">
@@ -12,6 +12,6 @@
 
 <div id="theImage">
-{combine_script id='pict.touch' load='footer' require='jquery' path='themes/versa/js/jquery.mobile-events.js'}
-{combine_script id='pict.swipe' load='footer' require='jquery' path='themes/versa/js/imagegestures.js'}
+{combine_script id='pict.touch' load='footer' require='jquery' path='themes/Versa/js/jquery.mobile-events.js'}
+{combine_script id='pict.swipe' load='footer' require='jquery' path='themes/Versa/js/imagegestures.js'}
 {$ELEMENT_CONTENT}
 
@@ -68,5 +68,5 @@
 
 {if isset($current.unique_derivatives) && count($current.unique_derivatives)>1}
-{combine_script id='pict.imgsize' load='footer' require='jquery' path='themes/versa/js/imagesize.js'}
+{combine_script id='pict.imgsize' load='footer' require='jquery' path='themes/Versa/js/imagesize.js'}
 {strip}<li><a id="derivativeSwitchLink" title="{'Photo sizes'|@translate}" class="pwg-state-default pwg-button" rel="nofollow">
   <span class="pwg-icon pwg-icon-sizes"></span><span class="pwg-button-text">{'Photo sizes'|@translate}</span>
Index: /extensions/Versa/template/picture_content.tpl
===================================================================
--- /extensions/Versa/template/picture_content.tpl	(revision 31942)
+++ /extensions/Versa/template/picture_content.tpl	(revision 31943)
@@ -1,5 +1,5 @@
 {if !$current.selected_derivative->is_cached()}
 {combine_script id='jquery.ajaxmanager' path='themes/default/js/plugins/jquery.ajaxmanager.js' load='footer'}
-{combine_script id='thumbnails.loader' path='themes/versa/js/thumbnails.loader.js' require='jquery.ajaxmanager' load='footer'}
+{combine_script id='thumbnails.loader' path='themes/Versa/js/thumbnails.loader.js' require='jquery.ajaxmanager' load='footer'}
 {footer_script}var error_icon = "{$ROOT_URL}{$themeconf.icon_dir}/errors_small.png"{/footer_script}
 {/if}
Index: /extensions/Versa/template/profile.tpl
===================================================================
--- /extensions/Versa/template/profile.tpl	(revision 31942)
+++ /extensions/Versa/template/profile.tpl	(revision 31943)
@@ -2,5 +2,5 @@
 
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/register.tpl
===================================================================
--- /extensions/Versa/template/register.tpl	(revision 31942)
+++ /extensions/Versa/template/register.tpl	(revision 31943)
@@ -2,5 +2,5 @@
 
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/search.tpl
===================================================================
--- /extensions/Versa/template/search.tpl	(revision 31942)
+++ /extensions/Versa/template/search.tpl	(revision 31943)
@@ -21,5 +21,5 @@
 
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">
Index: /extensions/Versa/template/tags.tpl
===================================================================
--- /extensions/Versa/template/tags.tpl	(revision 31942)
+++ /extensions/Versa/template/tags.tpl	(revision 31943)
@@ -1,5 +1,5 @@
 <div id="mainBox">
 {if isset($MENUBAR)}{$MENUBAR}{/if}
-{combine_script id='menu.switch' load='footer' require='jquery' path='themes/versa/js/menuswitch.js'}
+{combine_script id='menu.switch' load='footer' require='jquery' path='themes/Versa/js/menuswitch.js'}
 
 <div id="contentBox">