Index: /extensions/AntiAspi/admin.php
===================================================================
--- /extensions/AntiAspi/admin.php	(revision 31953)
+++ /extensions/AntiAspi/admin.php	(revision 31954)
@@ -66,4 +66,5 @@
         'DATE' => $ipban2['date'],
         'STATUS' => $ipban2['status'],
+        'STATUS_LABEL' => l10n('status-'.$ipban2['status']),
         'U_DELETE' => $admin_base_url . '&amp;delete=' . $ipban2['id'],
       );
@@ -155,9 +156,4 @@
   $tempssamesec=$tempssame[2]+($tempssame[1]*60)+($tempssame[0]*60*60);
 
-  $onlyguest = array(l10n('Yes'), l10n('No'));
-  $onlyguestv = array(true, false);
-  $onlypicture = array(l10n('Yes'), l10n('No'));
-  $onlypicturev = array(true,false); 
-
   $template->assign(
     'ipconfiggest',
@@ -167,10 +163,6 @@
       'SAMEA' => $same[0],
       'SAMEB' => $tempssamesec,
-      'ONLYGUEST' => $onlyguest,
-      'ONLYGUESTV' => $onlyguestv,
-      'ONLYGUESTSELECT' => $antiaspi['only guest'],
-      'ONLYPICTURE' => $onlypicture,
-      'ONLYPICTUREV' => $onlypicturev,
-      'ONLYPICTURESELECT' => $antiaspi['only picture'],
+      'ONLYGUEST' => $antiaspi['only guest'],
+      'ONLYPICTURE' => $antiaspi['only picture'],
     )
   );
@@ -181,6 +173,6 @@
     $antiaspi['diff'] = $_POST['insdiffa'].' pages in '.date('00:i:s', ($_POST['insdiffb']));
     $antiaspi['same'] = $_POST['inssamea'].' pages in '.date('00:i:s', ($_POST['inssameb']));
-    $antiaspi['only guest'] = $_POST['insonlyguest'];
-    $antiaspi['only picture'] = $_POST['insonlypicturet'];
+    $antiaspi['only guest'] = isset($_POST['insonlyguest']);
+    $antiaspi['only picture'] = isset($_POST['insonlypicture']);
 
     conf_update_param('antiaspi', $antiaspi);
Index: /extensions/AntiAspi/admin.tpl
===================================================================
--- /extensions/AntiAspi/admin.tpl	(revision 31953)
+++ /extensions/AntiAspi/admin.tpl	(revision 31954)
@@ -1,2 +1,3 @@
+{combine_script id='common' load='footer' path='admin/themes/default/js/common.js'}
 {combine_script id='jquery.ui.slider' require='jquery.ui' load='footer' path='themes/default/js/ui/minified/jquery.ui.slider.min.js'}
 {combine_css path="themes/default/js/ui/theme/jquery.ui.slider.css"}
@@ -65,5 +66,5 @@
 			<td><!-- {$ipban.ID} --> {$ipban.IP}</td>
 			<td>{$ipban.DATE}</td>
-			<td><span class="badge badge-{$ipban.STATUS}">{$ipban.STATUS}</span></td>
+			<td><span class="badge badge-{$ipban.STATUS}">{$ipban.STATUS_LABEL}</span></td>
 			<td>
 			<a href="{$ipban.U_DELETE}" onclick="return confirm( document.getElementById('btn_delete').title + '\n\n' + '{'Are you sure?'|@translate|@escape:'javascript'}');">
@@ -114,21 +115,25 @@
 
 		<p class="input" style="width: 700px;margin-top: 50px;">
-		  <label for="inssamea"><strong>{'IP banned if same '|@translate}<span></span></strong></label>
+		  <label for="inssamea"><strong>{'IP banned if same page viewed '|@translate}<span></span></strong></label>
 		  <input type="text" name="inssamea" data-min="10" data-max="500" class="range" value="{$ipconfiggest.SAMEA}"/>  
 		</p>	
 		<p class="input" style="width: 700px;margin-bottom: 50px;">
-			<label for="inssameb"><strong>{' different pages viewed in <span></span> seconds'|@translate} </strong></label>
+			<label for="inssameb"><strong>{' times viewed in <span></span> seconds'|@translate} </strong></label>
 			<input type="text" name="inssameb" data-min="5" data-max="3599" class="range" value="{$ipconfiggest.SAMEB}"/>
 		</p>
 
 	<p>
-        <strong>{'only guest'|@translate}</strong>
-        {html_radios separator="  " name="insonlyguest" values=$ipconfiggest.ONLYGUESTV output=$ipconfiggest.ONLYGUEST selected="{$ipconfiggest.ONLYGUESTSELECT}"}
-		({'If yes, don\'t ban registered users'|@translate})
+        <label class="font-checkbox">
+          <span class="icon-check"></span>
+          <input type="checkbox" name="insonlyguest" {if ($ipconfiggest.ONLYGUEST)}checked="checked"{/if}>
+          {'only guest'|@translate} <span class="configSettingHelp"><i class="icon-help-circled"></i>{'If yes, don\'t ban registered users'|@translate}</span>
+        </label>
     </p>
 	<p>
-        <strong>{'only picture'|@translate}</strong>
-        {html_radios separator="  " name="insonlypicturet" values=$ipconfiggest.ONLYPICTUREV output=$ipconfiggest.ONLYPICTURE selected="{$ipconfiggest.ONLYPICTURESELECT}"}
-		({'If yes, apply antiaspi only on picture page'|@translate})
+        <label class="font-checkbox">
+          <span class="icon-check"></span>
+          <input type="checkbox" name="insonlypicture" {if ($ipconfiggest.ONLYPICTURE)}checked="checked"{/if}>
+          {'only picture'|@translate} <span class="configSettingHelp"><i class="icon-help-circled"></i>{'If yes, apply antiaspi only on picture page'|@translate}</span>
+        </label>
     </p>
     <p style="margin-top: 50px">
Index: /extensions/AntiAspi/antiaspi.css
===================================================================
--- /extensions/AntiAspi/antiaspi.css	(revision 31953)
+++ /extensions/AntiAspi/antiaspi.css	(revision 31954)
@@ -43,2 +43,9 @@
 	margin-bottom: 20px;
 }
+
+.configSettingHelp {
+	background-color: #ddd;
+	padding: 2px 5px;
+	border-radius: 5px;
+	font-size: 90%;
+}
Index: /extensions/AntiAspi/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/AntiAspi/language/en_UK/plugin.lang.php	(revision 31953)
+++ /extensions/AntiAspi/language/en_UK/plugin.lang.php	(revision 31954)
@@ -2,18 +2,21 @@
 //admin
 $lang['AntiAspi'] = 'AntiAspi';
-$lang['IP ban'] = 'IP ban';
-$lang['IP ban deleted'] = 'IP ban deleted';
-$lang['List IP banned'] = 'List IP banned';
-$lang['Action IP banned'] = 'Action IP banned';
-$lang['IP banned if'] = 'IP banned if';
-$lang['different pages viewed in'] = 'different pages viewed in';
-$lang['IP banned if same'] = 'IP banned if same';
-$lang['different pages viewed in <span></span> seconds'] = 'different pages viewed in <span></span> seconds';
+$lang['IP banned if '] = 'IP banned if ';
+$lang[' different pages viewed in'] = ' different pages viewed in';
+$lang['IP banned if same page viewed '] = 'IP banned if same page viewed ';
+$lang[' times viewed in <span></span> seconds'] = ' times viewed in <span></span> seconds';
 $lang['only guest'] = 'only guest';
 $lang['If yes, don\'t ban registered users'] = 'If yes, don\'t ban registered users';
 $lang['only picture'] = 'only picture';
 $lang['If yes, apply antiaspi only on picture page'] = 'If yes, apply antiaspi only on picture page';
-$lang['Add IP allowed'] = 'Add IP allowed';
-$lang['IP'] = 'IP';
 $lang['IP already allowed'] = 'IP already allowed';
 
+$lang['IP addresses'] = 'IP addresses';
+$lang['Banned IP addresses'] = 'Banned IP addresses';
+$lang['Delete all'] = 'Delete all';
+$lang['Delete deprecated only'] = 'Delete deprecated only';
+$lang['status-active'] = 'active';
+$lang['status-deprecated'] = 'deprecated';
+$lang['Whitelist (allowed ip addresses)'] = 'Whitelist (allowed ip addresses)';
+$lang['Add allowed IP'] = 'Add allowed IP';
+$lang['Add IP'] = 'Add IP';
Index: /extensions/AntiAspi/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/AntiAspi/language/fr_FR/plugin.lang.php	(revision 31953)
+++ /extensions/AntiAspi/language/fr_FR/plugin.lang.php	(revision 31954)
@@ -21,11 +21,23 @@
 // | USA.                                                                  |
 // +-----------------------------------------------------------------------+
-$lang['Add IP ban'] = 'Ajouter une IP à bannir';
+
 $lang['AntiAspi'] = 'AntiAspi';
-$lang['IP ban'] = 'IP banni';
-$lang['IP banned'] = 'Ip banni';
-$lang['IP banned edit'] = 'Édition de IP banni ';
-$lang['IP ban deleted'] = 'IP banni supprimé';
-$lang['Ip ban insert'] = 'IP banni inséré ';
-$lang['Ip ban update'] = 'IP banni mise à jour';
-$lang['List IP banned'] = 'Liste des IP banni';
+$lang['IP banned if '] = 'Bannir adresse IP si ';
+$lang[' different pages viewed in'] = 'pages vues différentes en ';
+$lang['IP banned if same page viewed '] = 'Bannir adresse IP si même page vue ';
+$lang[' times viewed in <span></span> seconds'] = ' fois en <span></span> secondes';
+$lang['only guest'] = 'invités uniquement';
+$lang['If yes, don\'t ban registered users'] = 'Si oui, ne pas bannir les utilisateurs identifiés';
+$lang['only picture'] = 'uniquement page de la photo';
+$lang['If yes, apply antiaspi only on picture page'] = 'Si oui, AntiAspi ne s\'applique que sur la page de la photo';
+$lang['IP already allowed'] = 'addresse IP déjà autorisée';
+
+$lang['IP addresses'] = 'adresses IP';
+$lang['Banned IP addresses'] = 'Adresses IP bannies';
+$lang['Delete all'] = 'Supprimer tout';
+$lang['Delete deprecated only'] = 'Supprimer uniquement les obsolètes';
+$lang['status-active'] = 'actif';
+$lang['status-deprecated'] = 'obsolète';
+$lang['Whitelist (allowed ip addresses)'] = 'Liste blanche (adresses IP autorisées)';
+$lang['Add allowed IP'] = 'Ajouter une adresse IP autorisée';
+$lang['Add IP'] = 'Ajouter IP';