Index: /extensions/stripped/language/sr_RS/theme.lang.php
===================================================================
--- /extensions/stripped/language/sr_RS/theme.lang.php	(revision 31976)
+++ /extensions/stripped/language/sr_RS/theme.lang.php	(revision 31976)
@@ -0,0 +1,72 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2017 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Preload images on thumbnails page'] = 'Претходно учитај слике на страници са сличицама';
+$lang['Property to display below picture'] = 'Особина за приказ испод слике';
+$lang['Resize image to fit window'] = 'Промени величину слике да се уклопи у прозор';
+$lang['Show Information tab only to admins'] = 'Прикажи картице са подацима само администраторима';
+$lang['Show image title on top of the page (after browse path)'] = 'Прикажи наслове слике на врху странице (након путање)';
+$lang['Show thumbnail caption'] = 'Прикажи натпис за сличице';
+$lang['Show/hide menu'] = 'Прикажи/сакриј мени';
+$lang['Thumbnail size'] = 'Величина сличице';
+$lang['Use navigation arrows on picture'] = 'Постави стрелице за навигацију на слике';
+$lang['Use navigation arrows outside picture'] = 'Постави стрелице за навигацију изван слике';
+$lang['always'] = 'увек';
+$lang['fit to screen'] = 'уклопи у екран';
+$lang['full size'] = 'пуна величина';
+$lang['if HD picture available'] = 'уколико је доступна слика високе резолуције';
+$lang['never'] = 'никада';
+$lang['stripped Configuration updated'] = 'ажурурана су ужа Подешавања';
+$lang['validate'] = 'верификуј';
+$lang['Title'] = 'Наслов';
+$lang['Activate HD picture lightbox'] = 'Укључи светлу кутију за слике високе резолуције';
+$lang['On picture page, number of next images to preload'] = 'Број слика за предучитавање на страници са сликама';
+$lang['Picture page options'] = 'Опције страница са сликама';
+$lang['HD Image size'] = 'Слика у високој резолуцији';
+$lang['HD picture default display'] = 'Подразумевани приказ слике у високој резолуцији';
+$lang['Image autosize options'] = 'Опције аутоматске величине слике';
+$lang['Image preloading options'] = 'Опције предучитавања слике';
+$lang['Image size'] = 'Величина слике';
+$lang['Include title after resize'] = 'Укључи и наслов након промене величине';
+$lang['Information'] = 'Подаци';
+$lang['Interface options'] = 'Опције корисничког оркучења';
+$lang['Interface style'] = 'Изглед корисничког окружења';
+$lang['Last displayed'] = 'Последња приказана';
+$lang['Metadata'] = 'Метаподаци';
+$lang['Minimum image height after resize'] = 'Најмања висина слике након промене величине';
+$lang['1 album per row (description beside thumbnail)'] = '1 албум у реду (опис поред сличице)';
+$lang['2 albums per row (description beside thumbnail)'] = '2 албума у реду (опис поред сличице)';
+$lang['3 albums per row (description below thumbnail)'] = '3 албума у реду (опис испод сличице)';
+$lang['5 albums per row (no album description)'] = '5 албума у реду (без описа албума)';
+$lang['Activate image preloading'] = 'Укључи предучитавање слика';
+$lang['Additional bottom margin after resize'] = 'Додај маргину на дну након промене величине';
+$lang['Album list layout'] = 'Распоред листе албума';
+$lang['Album thumbnail size'] = 'Величина сличице за албум';
+$lang['Animate menu'] = 'Анимирани мени';
+$lang['Animate tabs on picture page'] = 'Анимирај картице на страници са сликама';
+$lang['Default tab to be displayed'] = 'Подразумевани размак за приказ';
+$lang['Display frame around albums'] = 'Прикажи оквир око албума';
+$lang['Display frame around image'] = 'Прикажи оквир око слике';
+$lang['Display frame around thumbnails'] = 'Прикажи оквир око сличица';
+$lang['Force text to lowercase'] = 'Приморај мала слова';
+$lang['GMap'] = 'Карта';
+$lang['Hide menu by default on category page'] = 'Подразумевано сакриј мени на страници са категоријама';