Index: /extensions/greydragon/language/ru_RU/theme.lang.php
===================================================================
--- /extensions/greydragon/language/ru_RU/theme.lang.php	(revision 31985)
+++ /extensions/greydragon/language/ru_RU/theme.lang.php	(revision 31985)
@@ -0,0 +1,78 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2017 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Help'] = 'Помощь';
+$lang['Hidden'] = 'Скрыто';
+$lang['Hide'] = 'Скрыть';
+$lang['Hide About Link'] = 'Скрыть ссылку "О..."';
+$lang['Hide EXIF Data'] = 'Скрыть сведения EXIF';
+$lang['Info'] = 'Инфо';
+$lang['Installed'] = 'Установлено';
+$lang['Logo Image'] = 'Изображение логотипа';
+$lang['Main Menu Mode'] = 'Режим главного меню';
+$lang['Main Menu Panel'] = 'Панель главного меню';
+$lang['Enable Root Page'] = 'Включить корневую страницу';
+$lang['Exif'] = 'Сведения EXIF';
+$lang['Advanced Options - Custom CSS'] = 'Дополнительные параметры - Свой CSS ';
+$lang['Advanced Options - General'] = 'Дополнительные параметры - Главное';
+$lang['Advanced Options - Maintenance'] = 'Дополнительные параметры - Поддержка';
+$lang['Advanced Options - Photo Page'] = 'Дополнительные параметры - Страница изображения';
+$lang['Advanced Options - Root Page'] = 'Дополнительные параметры - Корневая страница';
+$lang['Animate Menu'] = 'Анимация меню';
+$lang['Animate Tabs'] = 'Анимация вкладок';
+$lang['Apple'] = 'Apple';
+$lang['Apple Touch Icon HowTo'] = 'Apple Touch Icon - как?';
+$lang['Auto Close Popup Menu'] = 'Автоматическое закрытие всплывающих меню';
+$lang['Center'] = 'Центр';
+$lang['Changelog'] = 'Список изменений';
+$lang['Photo Description Panel'] = 'Панель описания изображения';
+$lang['Piwigo %s Core Installed (min required 2.7.0+)'] = 'Установлена Piwigo %s Core (минимум требуется 2.7.0+)';
+$lang['Please Create Home Page in "Additional Pages" Plugin'] = 'Пожалуйста, создайте начальную страницу с плагином Additional Pages';
+$lang['Popup Menu Closed'] = 'Всплывающее меню закрыто';
+$lang['Popup Menu Opened'] = 'Всплывающее меню открыто';
+$lang['Prerequisites'] = 'Необходимые условия';
+$lang['Random'] = 'Случайный выбор';
+$lang['Save Changes'] = 'Сохранение изменений';
+$lang['Show Credits (Icon)'] = 'Показать благодарности (иконки)';
+$lang['Support'] = 'Поддержка';
+$lang['Supported macros'] = 'Поддерживаемые макросы';
+$lang['Tags'] = 'Тэги';
+$lang['Theme Settings are saved'] = 'Настройки темы сохранены';
+$lang['URL to your Apple Touch icon (60x60)'] = 'URL Вашей иконки Apple Touch (60x60)';
+$lang['URL to your favicon.ico'] = 'URL Вашего файла favicon.ico';
+$lang['Up'] = 'Вверх';
+$lang['optional'] = 'дополнительно';
+$lang['read more about Favicon types and sizes'] = 'еще про типы и размеры фавиконов';
+$lang['Comments'] = 'Комментарии';
+$lang['Comments Panel'] = 'Панель комментариев';
+$lang['Custom CSS'] = 'Свой CSS';
+$lang['Cycle Effect In Slideshow (Default: Fade)'] = 'Зацикливание слайд-шоу (по умолчанию - не зацикливается)';
+$lang['Description'] = 'Описание';
+$lang['Disable the animation'] = 'Отключение анимации';
+$lang['Disabled'] = 'Отключено';
+$lang['Download'] = 'Скачивание';
+$lang['Enable Debug Mode'] = 'Включение режима отладки';
+$lang['Additional Information'] = 'Дополнительная информация';
+$lang['Additional Pages'] = 'Дополнительные страницы';
+$lang['Admin Tools'] = 'Инструменты админа';
+$lang['Blog'] = 'Блог';
+$lang['Adapt slideshow size to each photo'] = 'Адаптация размера слайд-шоу для каждого изображения';